<?php
// ##### <hr />がある場合、最初と最後の<hr />を切れ目に（最大）三つに分割 #####
if ($source<>'') {
	$source = ' '.htmlspecialchars_decode($source);				// サーチ真偽判断し易くする為に、冒頭にスペース挿入（サーチ位置=0の場合考慮）
	$source = str_replace('[$$$dti_path]',$dti_path,$source);	// ハメ込み合成（DTIイメージパス）■■■『妖艶Pro』専用■■■
	$source = str_replace('[$$$domain]',$domain,$source);		// ハメ込み合成（ドメイン）
	$source = str_replace('[$$$shopid]',$shop_id,$source);		// ハメ込み合成（ショップＩＤ）
	$p01 = 0; $cnt = 0;
	while ($p01>=0) {
		$p02 = mb_strpos($source,'<hr',$p01,'utf-8');
		if ($p02!==false) {
			$p03 = mb_strpos($source,'/>',$p02,'utf-8');
			if ($p03!==false) {
				++$cnt;
				$hr_st[$cnt] = $p02;
				$hr_en[$cnt] = $p03+2;
				if (($p03+2)<mb_strlen($source,'utf-8')) {
					$p01 = $p03+2;
				} else {
					$p01 = -999;
				}
			}
		} else {
			$p01 = -999;
		}
	}
}
if ($cnt>0) {
	$source1 = mb_substr($source,0,$hr_st[1],'utf-8');
	if ($cnt>1) {
		$source2 = mb_substr($source,$hr_en[1],($hr_st[$cnt]-$hr_en[1]),'utf-8');
		$source3 = mb_substr($source,$hr_en[$cnt],(mb_strlen($source,'utf-8')-$hr_en[$cnt]),'utf-8');
	} else {
		$source2 = mb_substr($source,$hr_en[$cnt],(mb_strlen($source,'utf-8')-$hr_en[$cnt]),'utf-8');
		$source3 = '';
	}
} else {
	$source1 = '';
	$source2 = $source;
	$source3 = '';
}
//##### 表示 #####
$src = '<div class="freeparts'.$p_code.'_'.$Cnt.'_1">'."\r\n";	// 一番外側のdiv（marginのみ有効）
$src .= htmlspecialchars_decode($source1)."\r\n";				// 最初の<hr />より上のコンテンツ（あれば）
if ($id_class_flg=='1') {
	$src .= '<div id="'.$id_class_name.'">'."\r\n";				// ２番目のdiv（margin以外有効）
} else {
	if ($id_class_flg=='2') {
		$src .= '<div class="'.$id_class_name.'">'."\r\n";
	} else {
		$src .= '<div class="freeparts'.$p_code.'_2">'."\r\n";
	}
}
$src .= htmlspecialchars_decode($source2)."\r\n";				// メインコンテンツ
$src .= '</div>'."\r\n";
$src .= htmlspecialchars_decode($source3)."\r\n";				// 最後の<hr />より下のコンテンツ（あれば）
$src .= '</div>'."\r\n";
//--- php記述ありバージョン以降 ---
if (file_exists($sys_path.'/freeparts_'.$p_code.'.txt')) {
	if ($src<>'') {
		$src = ' '.$src;
		$e_flg = 0; $s_cnt = 0;
		while ($e_flg==0) {
			$e_flg = -999;					// デフォルト=終了
			$p02 = mb_strpos($src,'[$$$php',0,'utf-8');
			if ($p02!==false) {
				$p03 = mb_strpos($src,'$$$]',$p02,'utf-8');
				if ($p03!==false) {
					if ($p02>0) {
						++$s_cnt;
						$s_data[$s_cnt] = mb_substr($src,0,$p02,'utf-8');
						$s_flg[$s_cnt] = 0;	// 通常記述
					}
					++$s_cnt;
					$s_data[$s_cnt] = mb_substr($src,$p02+7,$p03-$p02-7,'utf-8');
					$s_flg[$s_cnt] = 1;		// php記述
					if (($p03+4)<mb_strlen($src,'utf-8')) {
						$src = mb_substr($src,$p03+4,mb_strlen($src,'utf-8')-$p03-4,'utf-8');
						$e_flg = 0;			// （まだある、続行）
					}
				} else {
					++$s_cnt;
					$s_data[$s_cnt] = $src;
					$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
				}
			} else {
				++$s_cnt;
				$s_data[$s_cnt] = $src;
				$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
			}
		}
	}
	//--- 通常記述とphp記述を分離表示 ---
	include('freeparts_'.$p_code.'.txt');
} else {
	//--- php記述ありバージョン前の表示 ---
	echo htmlspecialchars_decode($src);
}
?>
