<?php
// ########################
// -- 読込と表示
// ########################
$sql  = 'SELECT iq_message1,iq_message2,iq_selfmail_flg,iq_selfmail_addr,iq_selfmail_subj,';
$sql .= 'iq_selfmail_main,iq_replymail_flg,iq_replymail_subj,iq_replymail_main FROM inq_m WHERE iq_code = ?';
$stt=$db->prepare($sql);
$stt->bindParam(1, $iq_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$iq_message1 = $cols['iq_message1'];
		$iq_message2 = $cols['iq_message2'];
		$iq_selfmail_flg = $cols['iq_selfmail_flg'];
		$iq_selfmail_addr = $cols['iq_selfmail_addr'];
		$iq_selfmail_subj = $cols['iq_selfmail_subj'];
		$iq_selfmail_main = $cols['iq_selfmail_main'];
		$iq_replymail_flg = $cols['iq_replymail_flg'];
		$iq_replymail_subj = $cols['iq_replymail_subj'];
		$iq_replymail_main = $cols['iq_replymail_main'];
		$iq_selfmail_main = str_replace("\r\n","\n", $iq_selfmail_main);
		$iq_replymail_main = str_replace("\r\n","\n", $iq_replymail_main);
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
$sql  = 'SELECT iq_type,iq_char,iq_attention,iq_ent_type,iq_ent_area,iq_ms_code,iq_charset,iq_ngword,iq_ngword_upper,iq_mustflg FROM inq_m2 WHERE iq_code = ? ORDER BY iq_seq';
$stt=$db->prepare($sql);
$stt->bindParam(1, $iq_code);
try {
	$stt->execute();
	$iq_gyo = 0;
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$iq_gyo;
		$iq_type_m[$iq_gyo] = $cols['iq_type'];
		$iq_char_m[$iq_gyo] = $cols['iq_char'];
		$iq_attention_m[$iq_gyo] = $cols['iq_attention'];
		$iq_ent_type_m[$iq_gyo] = $cols['iq_ent_type'];
		$iq_ent_area_m[$iq_gyo] = $cols['iq_ent_area'];
		$iq_ms_code_m[$iq_gyo] = $cols['iq_ms_code'];
		$iq_charset_m[$iq_gyo] = $cols['iq_charset'];
		$iq_ngword_m[$iq_gyo] = $cols['iq_ngword'];
		$iq_ngword_upper_m[$iq_gyo] = $cols['iq_ngword_upper'];
		$iq_mustflg_m[$iq_gyo] = $cols['iq_mustflg'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}

// --- 外枠（共通）---
echo '<div class="inq'.$iq_code.'_'.$Cnt.'_1">'."\n";
echo '<div class="inq'.$iq_code.'_'.$Cnt.'_2">'."\n";

switch ($goto) {
// ############################################
// --  入力画面
// ############################################
case 'scr_entry':
echo '<form method="POST" action="'.$self.'">'."\n";
echo '<table class="inq'.$iq_code.'_'.$Cnt.'_3">'."\n";
for ($i = 1; $i <= $iq_gyo; $i++) {
	if ($iq_ent_type_m[$i]=='1') {						// マスタからの選択
		// master_m
		$sql  = 'SELECT mm_type FROM master_m WHERE mm_code = ?';
		$stt=$db->prepare($sql);
		$stt->bindParam(1, $iq_ms_code_m[$i]);
		try {
			$stt->execute();
			if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
				$mm_type = $cols['mm_type'];
			} 
		} catch (PDOException $e) {
			echo $e->getMessage();
			exit();
		}
		// master_m2
		$sql  = 'SELECT mm_data FROM master_m2 WHERE mm_code = ? ORDER BY mm_seq';
		$stt=$db->prepare($sql);
		$stt->bindParam(1, $iq_ms_code_m[$i]);
		try {
			$stt->execute();
			$mm_gyo = 0;
			while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
				++$mm_gyo;
				$mm_data_m[$mm_gyo] = $cols['mm_data'];
			}
		} catch (PDOException $e) {
			echo $e->getMessage();
			exit();
		}
		if ($mm_type=='3') {					// checkbox
			$item  = 'iq'.$iq_code.'_'.$i;
			$item2 = 'iq'.$iq_code.'_'.$i.'_array2';
			$CSVLine = split(",",$$item2);
			for ($j=0; $j<count($CSVLine); $j++) {
				${$item}[$j+1] = $CSVLine[$j];
			}
		}
	}
	echo '<tr>'."\n";
	echo '  <th>'.$iq_char_m[$i];
	if ($iq_mustflg_m[$i]=='1') { echo '<span style="font-size:0.8em">(必須)</span>'; }
	echo '</th>'."\n";
	if ($iq_ent_type_m[$i]=='0') {
		$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
		if ($iq_ent_area_m[$i]>='1' and $iq_ent_area_m[$i]<='3') {
			echo '    <td class="area0'.$iq_ent_area_m[$i].'"><textarea name="'.$item.'">'.$$item.'</textarea>';
		} else {
			echo '    <td class="text"><input type="text" name="'.$item.'" value="'.$$item.'" />';
		}
	} else {
		switch ($mm_type) {
			case '1':		// リスト
				$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
				echo '    <td class="select">'."\n";
				echo '    <select name="'.$item.'">'."\n";
				echo '    <option value="">--</option>'."\n";
				for ($j = 1; $j <= $mm_gyo; $j++) {
					echo '    <option value="'.$mm_data_m[$j].'" ';
					if ($$item==$mm_data_m[$j]) { echo ' selected="selected"'; }
					echo '>'.$mm_data_m[$j].'</option>'."\n";
				}
				echo '    </select>'."\n";
				break;
			case '2':		// ラジオボタン
				$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
				echo '    <td>'."\n";
				for ($j = 1; $j <= $mm_gyo; $j++) {
					echo '    <input type="radio" name="'.$item.'" value="'.$mm_data_m[$j].'" ';
					if ($$item==$mm_data_m[$j]) { echo ' checked="checked"'; }
					echo ' />'.$mm_data_m[$j]."\n";
				}
				break;
			case '3':		// チェックボックス
				echo '    <td>'."\n";
				for ($j = 1; $j <= $mm_gyo; $j++) {
					$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
					echo '    <input type="checkbox" name="'.$item.'['.$j.']'.'" value="'.$mm_data_m[$j].'" ';
					if (${$item}[$j]==$mm_data_m[$j]) { echo ' checked="checked"'; }
					echo ' />'.$mm_data_m[$j]."\n";
				}
				break;
		}
	}
	if ($iq_attention_m[$i]<>'') { echo '<br />'.$iq_attention_m[$i]."\n"; }
	echo '    </td>'."\n";
	echo '</tr>'."\n";
}
?>
</table>
<div class="button"><input type="submit" name="btn" value="内容を確認する" border="0" /></div>
<input type="hidden" name="iq_code" value="<?php echo @$iq_code?>">
<input type="hidden" name="s_code" value="<?php echo @$s_code?>">	<?php //site_def2.phpで使用（site_define.phpからのパラメータ）?>
<input type="hidden" name="pg_seq" value="<?php echo @$pg_seq?>">	<?php //　〃　?>
<input type="hidden" name="b_code" value="<?php echo @$b_code?>">	<?php //　〃　?>
</form>
<?php 
echo '<div class="inq'.$iq_code.'_'.$Cnt.'_4">'."\n";
echo str_replace("\r\n","<br />", htmlspecialchars_decode($iq_message1))."\n";
echo '</div>'."\n";
break;

// ############################################
// --  確認画面
// ############################################
case 'scr_confirm':
$errmsg = '';
for ($i = 1; $i <= $iq_gyo; $i++) {
	$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
	$target = $$item;
	$target = str_replace(' ','',$target); 		// space cut!
	$target = str_replace('　','',$target);		// 全角space cut!
	$target = str_replace("\r\n",'',$target); 	// 改行 cut!
// 必須入力チェック
	if ($iq_mustflg_m[$i]=='1' and $target=='') {
		$errmsg .= $iq_char_m[$i].'が未入力です。<br />';
	}
// 入力文字チェック
	if ($$item<>'') {
		if ($iq_charset_m[$i]=='1' and ereg('[^0-9]',$target)) {
			$errmsg .= $iq_char_m[$i].'は数字のみ入力してください。<br />';
		}
		if ($iq_charset_m[$i]=='2' and ereg('[^-()0-9]',$target)) {
			$errmsg .= $iq_char_m[$i].'は数字と()-のみ入力してください。<br />';
		}
		if ($iq_charset_m[$i]=='3' and ereg('[^0-9a-zA-Z!?.]',$target)) {
			$errmsg .= $iq_char_m[$i].'は英数字のみ入力してください。<br />';
		}
		if ($iq_charset_m[$i]=='4' and !preg_match('/^[-+.\\w]+@[-a-z0-9]+(\\.[-a-z0-9]+)*\\.[a-z]{2,6}$/i',$target))	{
			$errmsg .= $iq_char_m[$i].'の内容が形式外です。<br />';
		}
	}
// 禁止文字チェック
	if ($iq_ngword_m[$i]<>'') {
		$iq_ngword_m[$i] = str_replace(' ','',$iq_ngword_m[$i]); 	// space cut!
		$iq_ngword_m[$i] = str_replace('　','',$iq_ngword_m[$i]); 	// 全角space cut!
		$iq_ngword_m[$i] = str_replace("\r\n",'',$iq_ngword_m[$i]); // 改行 cut!
		$CSVLine = split(",",$iq_ngword_m[$i]);
		$err = 0; $word = '';
		for ($j=0; $j<count($CSVLine); $j++) {
			$target = ' '.$$item; $ng = $CSVLine[$j];
			if ($iq_ngword_upper_m[$i]=='1') {			// ここは$iでよい
				$target = mb_strtoupper($target);
				$ng = mb_strtoupper($ng);
			}
			if (mb_strpos($target,$ng)>0) {
				$err = 1;
				$word .= ' '.$CSVLine[$j].' ';
			}
		}			
		if ($err==1) {	
			$errmsg .= $iq_char_m[$i].'には'.$word.'入力禁止です。<br />';
		}
	}
}
if ($errmsg<>'') {
// ### エラー時の表示 ###
?>
	<form method="POST" action="<?php echo $self?>">
<?php
	echo '<div class="inq'.$iq_code.'_'.$Cnt.'_4">'."\n";
?>
	入力を見直してください。<br /><br />↓<br />
	<?php echo $errmsg; ?>
	</div>
	<div class="button">
	<input type="submit" name="btn" value="戻る" border="0" />
	</div>
<?php
} else {
// ### 確認画面 ###
?>
<form method="POST" action="<?php echo $self?>">
<?php
	echo '<div class="inq'.$iq_code.'_'.$Cnt.'_4">'."\n";
?>
	入力内容を確認してください。<br />
	間違いが無ければ、送信ボタンを１度だけ押してください。<br />
	</div>
	<br />
<?php
	echo '<table class="inq'.$iq_code.'_'.$Cnt.'_3">'."\n";
	for ($i = 1; $i <= $iq_gyo; $i++) {
?>
	<tr>
	<th><?php echo @$iq_char_m[$i]?></th>
		<td>
<?php
		$item = 'iq'.$iq_code.'_'.$i;			// 項目ID
		if (is_array($$item)) {					// チェックボックスの場合
			$num = max(array_keys($$item));		// 配列の数（有効数ではない）
			$data = '';
			for ($j = 1; $j <= $num; $j++) {	// チェックされた要素を文字結合(○○,△□,・・・）
				if (${$item}[$j]<>'') {
					$data  .= ${$item}[$j];
					if ($j<$num) { $data .= ','; }
				}
			}
			$item_array  = 'iq'.$iq_code.'_'.$i.'_array';	// 項目ID
			$$item_array = $data;
			echo $$item_array;
		} else {
			echo nl2br($$item);;
		}
?>
		</td>
	</tr>
<?php
	}
?>
	</table>
	<div class="button">
		<input type="submit" name="btn" value="送信する" border="0" />
		&nbsp;
		<input type="submit" name="btn" value="戻る" border="0" />
	</div>
<?php
}
for ($i = 1; $i <= $iq_gyo; $i++) {
	$item = 'iq'.$iq_code.'_'.$i;
	if (is_array($$item)) {					// チェックボックスの場合
		$num = max(array_keys($$item));		// 配列の数（有効数ではない）
		$data = ''; $data2 = '';
		for ($j = 1; $j <= $num; $j++) {	// チェックされた要素を文字結合(○○,△□,・・・）
			if (${$item}[$j]<>'') {
				$data  .= ${$item}[$j];
				$data2 .= ${$item}[$j];
				if ($j<$num) { $data .= ','; }
			} else {
				$data2 .= 'XXXXX';			// 入力画面にhiddenで渡す時、配列順序を守る為、ダミー挿入
			}
			if ($j<$num) { $data2 .= ','; }
		}
		$item_array = 'iq'.$iq_code.'_'.$i.'_array';	// 送信画面の為（戻った時は不要）
		$$item_array = $data;
		$item_array2 = 'iq'.$iq_code.'_'.$i.'_array2';	// 戻った時の為
		$$item_array2 = $data2;
		echo '<input type="hidden" name="'.$item_array.'" value="'.$$item_array.'">'."\n";
		echo '<input type="hidden" name="'.$item_array2.'" value="'.$$item_array2.'">'."\n";
	} else {
		echo '<input type="hidden" name="'.$item.'" value="'.$$item.'">'."\n";
	}
}
?>
<input type="hidden" name="iq_code" value="<?php echo @$iq_code?>">
<input type="hidden" name="s_code" value="<?php echo @$s_code?>">	<?php //site_def2.phpで使用（site_define.phpからのパラメータ）?>
<input type="hidden" name="pg_seq" value="<?php echo @$pg_seq?>">	<?php //　〃　?>
<input type="hidden" name="b_code" value="<?php echo @$b_code?>">	<?php //　〃　?>
</form>
<?php
break;

// ############################################
// --  メール送信
// ############################################
case 'scr_send':
if ($entdate=="") { $entdate = date("Y/m/d"); }	// Today
if ($enttime=="") { $enttime = date("H:i:s"); }	// Today
// ヘッダ部
$head0  = 'Return-Path: '.$iq_selfmail_addr."\n";
$head0 .= 'Content-Type: text/plain; charset=iso-2022-jp'."\n";
$head0 .= 'Content-Transfer-Encoding: 7bit'."\n";
$head0 .= 'X-Mailer: PHP/'.phpversion();
// メール項目をサーチ
$mail = '';
for ($i = 1; $i <= $iq_gyo; $i++) {
	if ($iq_type_m[$i]=='mail') {
		$item = 'iq'.$iq_code.'_'.$i;	// 項目ID
		$mail = $$item;
		$i = 999;
	}
}
// 自分宛管理メール
if ($iq_selfmail_flg=='1') {
	for ($i = 1; $i <= $iq_gyo; $i++) {
		$item2 = 'iq'.$iq_code.'_'.$i.'_array';	// checkboxの場合
		if ($$item2<>'') {
			$data = $$item2;
		} else {
			$item = 'iq'.$iq_code.'_'.$i;
			$data = str_replace("\r\n","\n", $$item);
		}
		// 件名
		$iq_selfmail_subj = str_replace('[$$$t'.$i.']',$iq_char_m[$i],$iq_selfmail_subj);	// 各項目名
		$iq_selfmail_subj = str_replace('[$$$'.$i.']',$data,$iq_selfmail_subj);				// 各入力内容
		$iq_selfmail_subj = str_replace('[$$$date]',$entdate,$iq_selfmail_subj);			// 入力日
		$iq_selfmail_subj = str_replace('[$$$time]',$enttime,$iq_selfmail_subj);			// 入力時刻
		// 本文
		$iq_selfmail_main = str_replace('[$$$t'.$i.']',$iq_char_m[$i],$iq_selfmail_main);	// 各項目名
		$iq_selfmail_main = str_replace('[$$$'.$i.']',$data,$iq_selfmail_main);				// 各入力内容
		$iq_selfmail_main = str_replace('[$$$date]',$entdate,$iq_selfmail_main);			// 入力日
		$iq_selfmail_main = str_replace('[$$$time]',$enttime,$iq_selfmail_main);			// 入力時刻
	}
	$from = $mail;
	$to   = $iq_selfmail_addr;
	$subj = conv_auto_mime($iq_selfmail_subj);
	$text = mb_convert_encoding($iq_selfmail_main, 'JIS',"UTF-8");
	$head = "From: ".$from."\n".$head0;
	mail ($to, $subj, $text, $head);
}
// 入力した方宛返信メール
if ($iq_replymail_flg=='1') {
	for ($i = 1; $i <= $iq_gyo; $i++) {
		$item2 = 'iq'.$iq_code.'_'.$i.'_array';	// checkboxの場合
		if ($$item2<>'') {
			$data = $$item2;
		} else {
			$item = 'iq'.$iq_code.'_'.$i;
			$data = str_replace("\r\n","\n", $$item);
		}
		// 件名
		$iq_replymail_subj = str_replace('[$$$t'.$i.']',$iq_char_m[$i],$iq_replymail_subj);	// 各項目名
		$iq_replymail_subj = str_replace('[$$$'.$i.']',$data,$iq_replymail_subj);			// 各入力内容
		$iq_replymail_subj = str_replace('[$$$date]',$entdate,$iq_replymail_subj);			// 入力日
		$iq_replymail_subj = str_replace('[$$$time]',$enttime,$iq_replymail_subj);			// 入力時刻
		// 本文
		$iq_replymail_main = str_replace('[$$$t'.$i.']',$iq_char_m[$i],$iq_replymail_main);	// 各項目名
		$iq_replymail_main = str_replace('[$$$'.$i.']',$data,$iq_replymail_main);			// 各入力内容
		$iq_replymail_main = str_replace('[$$$date]',$entdate,$iq_replymail_main);			// 入力日
		$iq_replymail_main = str_replace('[$$$time]',$enttime,$iq_replymail_main);			// 入力時刻
	}
	$from = $iq_selfmail_addr;
	$to   = $mail;
	$subj = conv_auto_mime($iq_replymail_subj);
	$text = mb_convert_encoding($iq_replymail_main,'JIS',"UTF-8");
	$head = "From: ".$from."\n".$head0;
	mail ($to, $subj, $text, $head);
}
// ＤＢへ記録
$stt=$db->prepare('INSERT INTO entry_t (iq_code,iq_seq,et_code,et_data,et_dwn_flg) VALUES (?,?,?,?,?)');
for ($i = 1; $i <= $iq_gyo; $i++) {
	$item = 'iq'.$iq_code.'_'.$i;			// 項目ID
	$pkey = $entdate.' '.$enttime;
	$flg = '0';
	$stt->bindParam(1, $iq_code);
	$stt->bindParam(2, $i);
	$stt->bindParam(3, $pkey);
	$stt->bindParam(4, $$item);
	$stt->bindParam(5, $flg);
	try {
		$stt->execute();
	} catch (PDOException $e) {
		echo '[inq_m2]登録時<br />';
		echo $e->getMessage();
		exit();
	}
}
echo '<div class="inq'.$iq_code.'_'.$Cnt.'_4">'."\n";
echo str_replace("\r\n","<br />", htmlspecialchars_decode($iq_message2))."\n";
echo '</div>'."\n";
break;
}		// end of switch
echo '</div>'."\n";
echo '</div>'."\n";

// --mime変換
function conv_auto_mime($str){
	$pos = 0;
	$str=mb_convert_encoding($str,"JIS","UTF-8");
	while ($pos < mb_strlen($str, "JIS")){
		$output = mb_strimwidth($str,$pos,36,"","JIS");
		$pos += mb_strlen($output, "JIS");
		$TempStr .=(($TempStr)?" ":"")."=?ISO-2022-JP?B?".base64_encode($output)."?=";
	}
	return $TempStr;
}
?>