<?php
// ######################################################################
// --						記事クリエイター
$title=					'問合せデータダウンロード';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'inq_download.php';								// このプログラム
$menu_num = 4;
include('kiji_common.php');
// ----------------------------------------------------------------------
$template = 'template.php';
$csv_char_disp[1] = 'カンマ区切り';
$csv_char_disp[2] = 'タブ区切り';
$dwn_flg_disp[1] = '未ダウンロードデータのみ';
$dwn_flg_disp[2] = '全て';
// ##### 初期存在チェック #####
db_master1();
if ($iqCnt==0) {	// データなし
	$msg = '問合せ画面データがありません。';
}

// ##### 更新処理・表示画面分岐指示 #####
$no_action = 0;
switch ($btn) {
	case 'ダウンロード実行':
		$goto = 'scr_download';
		break;
	case 'del':
		$cp = unlink($download_path.$file_d);
		if ($cp == true) {
			$msg = 'ご指定のダウンロードファイル（'.$file_d.'）を削除しました。';$iro = 'green';
		} else {
			$msg = 'ダウンロードファイルの削除に失敗しました。（'.$cp.'）';$iro = 'red';
		}
		$no_action = 1;
		$goto = 'scr_download';
		break;
	case '戻る':
		$goto = 'scr_choice1';
		break;
	default:
		$goto = 'scr_choice1';
}
?>
</head>
<body>
<?php
// ### 共通メニュー ###
include('head.txt');
//
switch ($goto) {
// ######################################################################
// --  問合せ画面選択
// ######################################################################
case 'scr_choice1':
$gamen = 1;
if ($msg<>'') { echo $msg; }
?>
<form method="post" action="<?php echo $self;?>">
<table class="wide">
	<tr>
		<th class="w2">問合せ画面</th>
		<td class="s200">
			<select name="iq_code">
			<?php
			for ($i = 1; $i <= $iqCnt; $i++) {
				echo '<option value="'.$iq_code_m[$i].'"';
				if ($iq_code==$iq_code_m[$i]) { echo ' selected="selected"'; }
                echo '>('.$iq_code_m[$i].')'.$iq_name_m[$iq_code_m[$i]].'</option>';
			}
			?>
			</select>
		</td>
	</tr>
	<tr>
		<th class="w2">区切り文字</th>
		<td>
	    	<?php if ($csv_char=='') { $csv_char='1';} ?>
			<input type="radio" name="csv_char" id="csv_char" value="1"<?php if ($csv_char=="1") { echo ' checked="checked"';} ?> />&nbsp;カンマ区切り
			<input type="radio" name="csv_char" id="csv_char" value="2"<?php if ($csv_char=="2") { echo ' checked="checked"';} ?> />&nbsp;タブ区切り
		</td>
	</tr>
	<tr>
		<th class="w2">属性指定</th>
		<td>
	    	<?php if ($dwn_flg=='') { $dwn_flg='1';} ?>
			<input type="radio" name="dwn_flg" id="dwn_flg" value="1"<?php if ($dwn_flg=="1") { echo ' checked="checked"';} ?> />&nbsp;未ダウンロードデータのみ
			<input type="radio" name="dwn_flg" id="dwn_flg" value="2"<?php if ($dwn_flg=="2") { echo ' checked="checked"';} ?> />&nbsp;全て
		</td>
	</tr>
</table>
<table>
	<tr>
		<td class="btn"></td><td class="btn"></td><td class="btn"></td>
		<td class="btn"><input type="submit" name="btn" value="ダウンロード実行" border="0" /></td>
	</tr>
</table>
</form>
<?php
break;

// ######################################################################
// --  ダウンロードファイル作成
// ######################################################################
case 'scr_download':
$gamen = 2;
if ($no_action==0) {
	if ($csv_char=='1') {
		$char = ',';	// カンマ区切り
	} else {
		$char = "\t";	// タブ区切り
	}
	// ##### データ取得 #####
	$sql = 'SELECT et_code, et_data FROM entry_t WHERE iq_code = ?';
	if ($dwn_flg=='1') {
		$sql .= " AND et_dwn_flg = '0'";
	}
	$sql .= ' ORDER BY et_code,iq_seq';
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $iq_code);
	$data = '';
	$Cnt = 0;
	$gyo = 0;
	try {
		$stt->execute();
		while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
			++$Cnt;
			$et_code = $cols['et_code'];
			$et_data = $cols['et_data'];
			if ($char==',') { $et_data = str_replace(',','、',$et_data); }	// 半角カンマ→全角カンマに置換
			if ($Cnt==1) {
				$et_code_bk = $et_code;
			} else {
				if ($et_code<>$et_code_bk) {	// break
					++$gyo;
					$data .= $et_code_bk;							// 入力日時
					$data = str_replace("\r\n","[改行]",$data);		// 各OSによる改行コードをカバー
					$data = str_replace("\n\r","[改行]",$data);		// 〃
					$data = str_replace("\n","[改行]",$data);		// 〃
					$data = str_replace("\r","[改行]",$data);		// 〃
					$line_m[$gyo] = mb_convert_encoding($data, "SJIS", "UTF-8");
					$et_code_m[$gyo] = $et_code_bk;
					$et_code_bk = $et_code;
					$data = '';
				}
			}
			$data .= $et_data.$char;
		}
	} catch (PDOException $e) {
		echo '[entry_t]入力データ読込時<br />';
		echo $e->getMessage();
		exit();
	}
	if ($data<>'') {
		++$gyo;
		$data .= $et_code_bk;						// 入力日時
		$data = str_replace("\r\n","[改行]",$data);
		$data = str_replace("\n\r","[改行]",$data);
		$data = str_replace("\n","[改行]",$data);
		$data = str_replace("\r","[改行]",$data);
		$line_m[$gyo] = mb_convert_encoding($data, "SJIS", "UTF-8");
		$et_code_m[$gyo] = $et_code_bk;
	}
	// ##### 項目名取得 #####
	if ($gyo>0) {
		$stt=$db->prepare('SELECT iq_char FROM inq_m2 WHERE iq_code = ? ORDER BY iq_seq');
		$stt->bindParam(1, $iq_code);
		$item = '';
		try {
			$stt->execute();
			while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
				$item .= $cols['iq_char'].$char;
			}
		} catch (PDOException $e) {
			echo $e->getMessage();
			exit();
		}
		$item .= '入力日時';
		if ($item<>'') { $item = mb_convert_encoding(trim($item,$char), "SJIS", "UTF-8"); }
	}
	if ($gyo>0) {
		$dwn_file = 'inq'.date("Y-m-d").'_'.date("H-i-s").'.csv';	// ファイル名（日時）
		// 仮ファイル設置
		$err = 0;
		if (is_dir($download_path)==false) {
			$err = 1;
			$msg = 'ダウンロードフォルダ（'.$download_path.'）が見当たりません。<br>予め、ダウンロードフォルダを作成してください。';
		} else {
			$cp = copy($template,$download_path.$dwn_file);
			if ($cp == false) {
				$err = 1;
				$msg = $download_path.$dwn_file.'仮ファイル設置（コピー）に失敗しました。';
			} else {
				$fp = fopen($download_path.$dwn_file, "w");
				if ($fp == false) {
					$err = 2;
					$msg = $download_path.$dwn_file.'仮ファイル設置しましたがオープン出来ません。';
				}
			}
		}
		// 書き込み
		if ($err==0) {
			fwrite($fp, $item."\r\n");	// 項目部
			for ($i = 1; $i <= $gyo; $i++) {
				fwrite($fp, $line_m[$i]."\r\n");
			}
			$msg = $gyo.'件データをセットしました。「ファイルを保存」してください。';
			// ダウンロード済みフラグ更新
			$sql = 'UPDATE entry_t set et_dwn_flg=? WHERE et_code=?';
			$stt=$db->prepare($sql);
			for ($i = 1; $i <= $gyo; $i++) {
				$work = '1';
				$stt->bindParam(1, $work);
				$stt->bindParam(2, $et_code_m[$i]);
				try {
					$stt->execute();
				} catch (PDOException $e) {
					echo '[entry_t]ダウンロードフラグ更新時<br />';
					echo $e->getMessage();
					exit();
				}
			}
			// クローズ
			fclose($fp);
		}
	} else {
		$err = 9;
		$msg = '該当するダウンロードデータがありません。';
	}
}
// ----------------------------------------------------------------------
// --  ダウンロード残骸ファイル名抽出
// ----------------------------------------------------------------------
$fCnt = 0;
if (is_dir($download_path)) {
	if ($dh = opendir($download_path)) {
		while ($file = readdir($dh)) {
			if (filetype($download_path.$file) <> 'dir'){
				if (mb_strpos(' '.$file,'inq')==true) {
					++$fCnt;
					$update[$file] = date("Y/m/d H:i:s", filemtime($download_path.$file));
					$list[$update[$file]] = $file;
					$size[$update[$file]] = number_format(filesize($download_path.$file)).' Byte';
				}
			}
		}
		closedir($dh);
	}
	if ($fCnt>0) { rsort($update); }	// 更新日付降順にソート
}
// ----------------------------------------------------------------------
if ($err==0 or $err==9 ) { $iro='green'; } else { $iro='red'; }
// ##### 画面表示 #####
?>
<form method="post" action="<?php echo $self;?>">
<table class="wide">
	<tr>
		<th class="w2">問合せ画面</th>
		<td><?php echo @$iq_name_m[$iq_code]?></td>
	</tr>
	<tr>
		<th class="w2">区切り文字</th>
		<td><?php echo @$csv_char_disp[$csv_char]?></td>
	</tr>
	<tr>
		<th class="w2">属性指定</th>
		<td><?php echo @$dwn_flg_disp[$dwn_flg]?></td>
	</tr>
	<tr>
		<th class="w2">処理結果</th>
		<td style="color:<?php echo $iro?>"><?php echo @$msg?></td>
	</tr>
	<tr>
		<th class="w2">ダウンロードファイル</th>
		<td>
		<?php if ($err==0) { echo '<a href="'.$download_path.$dwn_file.'">'.$dwn_file.'</a>'."\n"; } ?>
        </td>
	</tr>
</table>
<br />
<?php if ($fCnt>0) { ?>
	<table class="wide">
		<tr>
			<th>過去のダウンロードファイル</th><th>処理日時</th><th>容量</th><th class="w3">削除</th>
		</tr>
<?php
		$i = 0;
		foreach($update as $upd) {
			++$i;
			$upd_m[$i] = $upd;
		 	echo '<tr>';
			echo '<td><a href="'.$download_path.$list[$upd_m[$i]].'">'.$list[$upd_m[$i]].'</a></td>';
			echo '<td>'.$upd_m[$i].'</td>';
			echo '<td class="r">'.$size[$upd_m[$i]].'</td>';
			echo '<td class="w3_link"><a href="javascript:if(confirm('."'".$i.'行目（'.$list[$upd_m[$i]]."）を削除しますか？')){location='".$self.'?btn=del&file_d='.$list[$upd_m[$i]].'&dwn_path='.$download_path.'&dwn_file='.$dwn_file.'&iq_code='.$iq_code.'&csv_char='.$csv_char.'&dwn_flg='.$dwn_flg."'}".'"><img src="'.$images.'del.gif" alt="" /></a></td>';
		 	echo '</tr>';
		}
?>
	</table>
<?php } ?>
<table>
	<tr>
		<td class="btn"></td><td class="btn"></td><td class="btn"></td>
		<td class="btn"><input type="submit" name="btn" value="戻る" border="0" /></td>
	</tr>
</table>
<input type="hidden" name="iq_code" value="<?php echo $iq_code; ?>" />
<input type="hidden" name="csv_char" value="<?php echo $csv_char; ?>" />
<input type="hidden" name="dwn_flg" value="<?php echo $dwn_flg; ?>" />
</form>
<?php
break;

}	// end of swhitch($goto) {
// ######################################################################
// --  画面ボトム部
// ######################################################################
include('bottom.txt');
// ######################################################################
// --  問合せ画面マスタ読込処理（選択の為）
// ######################################################################
function db_master1() {
	global $db;
	global $iqCnt;
	global $iq_code_m;
	global $iq_name_m;

$stt=$db->prepare('SELECT iq_code, iq_name FROM inq_m ORDER BY iq_code');
try {
	$stt->execute();
	$iqCnt = 0;
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$iqCnt;
		$iq_code_m[$iqCnt] = $cols['iq_code'];
		$iq_name_m[$iq_code_m[$iqCnt]] = $cols['iq_name'];
	} 
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
}
?>