<?php
// ######################################################################
// --						記事クリエイター
$title=				  'モジュール設定・プレビュー';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'module_def2.php';								// このプログラム
$menu_num = 2;
$sessin_off = 1; include('kiji_common.php');
// ----------------------------------------------------------------------
?>
<script type="text/javascript">
//<![CDATA[
window.name="module_def2";
//]]>
</script>
<?php
// ######################################################################
// --  CSS部読込と出力処理
// ######################################################################
// ##############
// -- module_m
// ##############
$stt=$db->prepare('SELECT m_style1, m_style2, p_code, d_seq from module_m WHERE m_code = ?');
$stt->bindParam(1, $m_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$m_style1 = $cols['m_style1'];
		$m_style2 = $cols['m_style2'];
		$p_code = $cols['p_code'];
		$d_seq = $cols['d_seq'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
$m_style1 = str_replace('/*(1)',' ',$m_style1);	// プレビューは左寄せで表示（注釈除去）
$m_style1 = str_replace('(1)*/',' ',$m_style1); // 実際には、サイト設定時のブロック設定内で指定される
$m_style1 = str_replace('[$$$counter]',"1",$m_style1);

// ####################
// -- parts_design_m
// ####################
$stt=$db->prepare('SELECT style1, style2 FROM parts_design_m WHERE p_code = ? and d_seq = ?');
$stt->bindParam(1, $p_code);
$stt->bindParam(2, $d_seq);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$style1 = $cols['style1'];
		$style2 = $cols['style2'];
	} 
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
// #############
// -- css出力
// #############
$style1 = str_replace('/*(1)',' ',$style1);	// 左寄せ（モジュール内のパーツは常に左寄せ）
$style1 = str_replace('(1)*/',' ',$style1);
$style1 = str_replace('[$$$counter]',"x",$style1);
$style2 = str_replace('[$$$counter]',"x",$style2);
echo '<style type="text/css">'."\n";
echo '<!--'."\n";
echo htmlspecialchars_decode($m_style1);
echo htmlspecialchars_decode($m_style2);
echo htmlspecialchars_decode($style1);
echo htmlspecialchars_decode($style2);
echo '-->'."\n";
echo '</style>'."\n";
?>

</head>
<body>
<form method="post" action="" target="" onSubmit="window.close()" >
<span class="btnleft">
<input type="submit" name="btn" value="閉じる" border="0" />
</span>
</form>
<hr />
<?php
// ######################################################################
// --  本体表示
// ######################################################################
$Cnt = 1;
// $page = 1;
$work = 'page_m'.$m_code.'_1';	// $page_m1_1 など
$page = $$work;
if ($page<1) { $page = 1; }
$self2 = $self.'?m_code='.$m_code;
include('./module_disp.php');
?>
</body>
</html>