<?php
include('parts_disp21.php');
//#########################
//--     表示
//#########################
if ($k_code=='') {										// キーが渡されなかったら、一番小さなコードのレコードを表示
	$sql ='SELECT MIN(k_code) AS k_code FROM kiji_t WHERE p_code=?';	// （ＵＲＬのみでリンクされた時）
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $p_code);
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
			$k_code = $cols['k_code'];
		}
	} catch (PDOException $e) {
		echo $e->getMessage();
		exit();
	}
}
//### parts 入力データ ###
$sql = 'SELECT k_code,';	// Where句でも指定しているが、parts_disp22.phpのmoduleからのincludeと合わせる為、k_codeもselect
for ($i = 1; $i <= 25; $i++) {
	$sql .= 'k_data'.$i.',';
	$sql .= 'kiji_http'.$i.',';
	$sql .= 'kiji_url'.$i.',';
}
$sql .= 'ent_date FROM kiji_t WHERE k_code = ?';
$stt=$db->prepare($sql);
$stt->bindParam(1, $k_code);
//
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		include('parts_disp22.php');
		//--- php記述ありバージョン以降 ---
		if (file_exists($sys_path.'/parts_design_'.$p_code.'_'.$d_seq.'.txt')) {
			//--- php部と通常記述を分割 ---
			if ($src2<>'') {
				$src2 = ' '.$src2;
				$e_flg = 0; $s_cnt = 0;
				while ($e_flg==0) {
					$e_flg = -999;						// デフォルト=終了
					$p02 = mb_strpos($src2,'[$$$php',0,'utf-8');
					if ($p02!==false) {
						$p03 = mb_strpos($src2,'$$$]',$p02,'utf-8');
						if ($p03!==false) {
							if ($p02>0) {
								++$s_cnt;
								$s_data[$s_cnt] = mb_substr($src2,0,$p02,'utf-8');
								$s_flg[$s_cnt] = 0;	// 通常記述
							}
							++$s_cnt;
							$s_data[$s_cnt] = mb_substr($src2,$p02+7,$p03-$p02-7,'utf-8');
							$s_flg[$s_cnt] = 1;		// php記述
							if (($p03+4)<mb_strlen($src2,'utf-8')) {
								$src2 = mb_substr($src2,$p03+4,mb_strlen($src2,'utf-8')-$p03-4,'utf-8');
								$e_flg = 0;				// （まだある、続行）
							}
						} else {
							++$s_cnt;
							$s_data[$s_cnt] = $src2;
							$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
						}
					} else {
						++$s_cnt;
						$s_data[$s_cnt] = $src2;
						$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
					}
				}
			}
			//--- 通常記述とphp記述を分離表示 ---
			include('parts_design_'.$p_code.'_'.$d_seq.'.txt');
		} else {
			//--- php記述ありバージョン前の表示 ---
			echo htmlspecialchars_decode($src2);
		}
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
?>