<?php
// ######################################################################
// --					　記事クリエイター
// --					　配信コントローラ
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
// --    入力内容を取得する
$paraCnt = 0;
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	session_cache_limiter('private_no_expire');
    foreach($_POST as $key => $value){
		$$key = $value;
		if (is_array($$key)) {
	        if (get_magic_quotes_gpc()) {
	            $$key = array_map(stripslashes, $$key);
	        }
	        $$key = array_map(htmlspecialchars, $$key);
	    } else {
	        if (get_magic_quotes_gpc()) {
	            $value = stripslashes($value);
	        }
	        $value = htmlspecialchars($value, ENT_QUOTES);
			$$key = $value;
	    }
		$para_name[++$paraCnt] = $key;
		$para_data[$paraCnt]  = $$key;
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    foreach($_GET as $key => $value){
		$$key = $value;
		if (is_array($$key)) {
	        if (get_magic_quotes_gpc()) {
	            $$key = array_map(stripslashes, $$key);
	        }
	        $$key = array_map(myhtmlspecialchars, $$key);
	    } else {
	        if (get_magic_quotes_gpc()) {
	            $value = stripslashes($value);
	        }
	        $value = htmlspecialchars($value, ENT_QUOTES);
			$$key = $value;
	    }
		if ($para=='') { $plus = '?'; } else { $plus = '&'; }
		$para_name[++$paraCnt] = $key;
		$para_data[$paraCnt]  = $$key;
    }
}
if ($k_code=='') {							// k_codeが渡されなかったら
	session_start();
	if (isset($_SESSION['k_code2'])) {		// セッション変数をチェック
		$k_code = $_SESSION['k_code2'];		// ゾンビが残っても他に影響ない様に、k_code2とした
	}
}
if ($en_pass=='') {
	if (isset($_SESSION['en_pass'])) {		// パスワード付き頁の既入力password獲得
		$en_pass = $_SESSION['en_pass'];
	}
}
// ######################################################################
// --   DBオープン
// ######################################################################
try {
	$db = new PDO($dsn_abs);
} catch (PDOException $e) {
	echo 'PDO接続時<br />';
	echo $e->getMessage();
	exit();
}
$db->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION);
// 単位（cssハメ込み用）
$unit_disp5['pc'] = '%';
$unit_disp5['hb'] = '%';
$unit_disp5['em'] = 'em';
$unit_disp5['px'] = 'px';
// ブロックのパターン
$blk['1'] = 'm';
$blk['2'] = 'lm';
$blk['3'] = 'rm';
$blk['4'] = 'lrm';
$blk['5'] = 'hmf';
$blk['6'] = 'hlmf';
$blk['7'] = 'hrmf';
$blk['8'] = 'hlrmf';

// ##### 表示画面分岐 #####
switch ($btn) {
	case "戻る":
		$goto = 'scr_entry';
		break;
	case "内容を確認する":
		$goto = 'scr_confirm';
		break;
    case "送信する":
		$goto = 'scr_send';
		break;
    default:
		$goto = 'scr_entry';
}

// ######################################################################
// --  読込
// ######################################################################
if ($s_code=='' or $pg_seq=='') {
	if ($k_code=='') {						// 渡されずクッキーにも無かったら
		// ### s_code,pg_seq最小値を取得する（?k_code=xxxxとパラメータが渡されなかった場合）
		$sql = "SELECT s_code,pg_seq FROM page_m WHERE p_detail='1' ORDER BY s_code,pg_seq";
		$stt=$db->prepare($sql);
		try {
			$stt->execute();
			if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
				$s_code = $cols['s_code'];
				$pg_seq = $cols['pg_seq'];
			}
		} catch (PDOException $e) {
			echo '[page_m]記事詳細パーツを含むs_code,pg_seq最小値読込時<br />';
			echo $e->getMessage();
			exit();
		}
	} else {
		$_SESSION['k_code2'] = $k_code;
		// ### k_codeからs_code,pg_seqを割り出す（?k_code=xxxxとパラメータが渡された場合）
		$sql = "SELECT c.s_code s_code,c.pg_seq pg_seq,d.pg_folder pg_folder,d.pg_file pg_file FROM kiji_t a,parts_design_m b,block_m2 c,page_m d WHERE k_code=? AND x_contents='detail' AND a.p_code=b.p_code AND b.p_code=c.x_code AND b.d_seq=c.x_dseq AND c.s_code=d.s_code AND c.pg_seq=d.pg_seq";
		$stt=$db->prepare($sql);
		$stt->bindParam(1, $k_code);
		try {
			$stt->execute();
			$pCnt = 0;
			while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
				++$pCnt;
				$s_code_m[$pCnt]    = $cols['s_code'];
				$pg_seq_m[$pCnt]    = $cols['pg_seq'];
				$pg_folder_m[$pCnt] = $cols['pg_folder'];
				$pg_file_m[$pCnt]   = $cols['pg_file'];
			}
			$s_code = $s_code_m[1];	//デフォルト
			$pg_seq = $pg_seq_m[1];	//デフォルト
			if ($pCnt>1) {			//同じ記事用パーツをソースとする明細ページが複数あったら、ページフォルダとファイル名を照会
				$pg_url = htmlspecialchars_decode($_SERVER['PHP_SELF']);		//例）/food/index.html
				if (mb_strpos($pg_url,'.htm')==0 and mb_strpos($pg_url,'.php')==0) {		// htmlも含んでサーチ
					if (substr($pg_url,strlen($pg_url1)-1,1)<>'/') { $pg_url .= '/'; }
					$pg_url .= 'index.html';
				}
				$pg_url = ltrim($pg_url,'/');
				for ($i = 1; $i <= $pCnt; $i++) {
					$wk = $pg_file_m[$i];
					if ($pg_folder_m[$i]<>'') { $wk = $pg_folder_m[$i].'/'.$wk; }
					if ($pg_url==$wk) {
						$s_code = $s_code_m[$i];
						$pg_seq = $pg_seq_m[$i];
					}
				}
			} else {
//--- 指定した明細頁が無い場合、トップページにジャンプ ---
if ($pCnt==0) {
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">';
echo '<head>';
echo '<meta http-equiv="refresh" content="5; url='.$domain.'" />';
echo '</head>';
echo '<body>';
echo '<div style="width:50%; background-color:#CCCCFF; margin:100px auto; padding:50px;">';
echo '申し訳ございません。<br /><br />';
echo '記事明細ページがありません。<br />';
echo '５秒後にトップページに移動します。<br />';
echo '</div>';
echo '</body>';
echo '</html>';
}
			}
		} catch (PDOException $e) {
			echo '[kiji_t,parts_design_m,block_m2]読込時<br />';
			echo $e->getMessage();
			exit();
		}
	}
}
// ### site_m ###
$stt=$db->prepare('SELECT s_name,s_explanation,s_bg_color,s_bg_image_flg,s_bg_image,s_bg_image_rep,s_bg_image_posx,s_bg_image_posy FROM site_m WHERE s_code = ?');
$stt->bindParam(1, $s_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$s_name = $cols['s_name'];
		$s_explanation = $cols['s_explanation'];
		$s_bg_color = $cols['s_bg_color'];
		$s_bg_image_flg = $cols['s_bg_image_flg'];
		$s_bg_image = $cols['s_bg_image'];
		$s_bg_image_rep = $cols['s_bg_image_rep'];
		$s_bg_image_posx = $cols['s_bg_image_posx'];
		$s_bg_image_posy = $cols['s_bg_image_posy'];
	}
} catch (PDOException $e) {
	echo '[site_m]読込時<br />';
	echo $e->getMessage();
	exit();
}
// ### page_m ###
$stt=$db->prepare('SELECT pg_title,keywords,description,p_detail,pg_folder,pg_file,pg_type,pg_layout,pg_line_w,pg_line_c,pg_line_w,pg_line_c,pg_box_w,
pg_box_h,pg_margin_top,pg_margin_right,pg_margin_bottom,pg_margin_left,pg_padding_top,pg_padding_right,pg_padding_bottom,pg_padding_left,pg_bg_trans,pg_bg_color,pg_bg_image_flg,pg_bg_image,pg_bg_image_rep,pg_bg_image_posx,pg_bg_image_posy,pg_pass_flg,pg_pass,pg_head,pg_onload,mobile_folder,mobile_file,body_pre FROM page_m WHERE s_code = ? and pg_seq = ?');
$stt->bindParam(1, $s_code);
$stt->bindParam(2, $pg_seq);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$pg_title = $cols['pg_title'];
		$keywords = $cols['keywords'];
		$description = $cols['description'];
		$p_detail = $cols['p_detail'];
		$pg_folder = $cols['pg_folder'];
		$pg_file = $cols['pg_file'];
		$pg_type = $cols['pg_type'];
		$pg_layout = $cols['pg_layout'];
		$pg_line_w = $cols['pg_line_w'];
		$pg_line_c = $cols['pg_line_c'];
		$pg_box_w = $cols['pg_box_w'];
		$pg_box_h = $cols['pg_box_h'];
		$pg_margin_top = $cols['pg_margin_top'];
		$pg_margin_right = $cols['pg_margin_right'];
		$pg_margin_bottom = $cols['pg_margin_bottom'];
		$pg_margin_left = $cols['pg_margin_left'];
		$pg_padding_top = $cols['pg_padding_top'];
		$pg_padding_right = $cols['pg_padding_right'];
		$pg_padding_bottom = $cols['pg_padding_bottom'];
		$pg_padding_left = $cols['pg_padding_left'];
		$pg_bg_trans = $cols['pg_bg_trans'];
		$pg_bg_color = $cols['pg_bg_color'];
		$pg_bg_image_flg = $cols['pg_bg_image_flg'];
		$pg_bg_image = $cols['pg_bg_image'];
		$pg_bg_image_rep = $cols['pg_bg_image_rep'];
		$pg_bg_image_posx = $cols['pg_bg_image_posx'];
		$pg_bg_image_posy = $cols['pg_bg_image_posy'];
		$pg_pass_flg = $cols['pg_pass_flg'];
		$pg_pass = $cols['pg_pass'];
		$pg_head = $cols['pg_head'];
		$pg_onload = $cols['pg_onload'];
		$mobile_folder = $cols['mobile_folder'];
		$mobile_file = $cols['mobile_file'];
		$body_pre = $cols['body_pre'];
		$block = $blk[$pg_type];
	}
} catch (PDOException $e) {
	echo '[page_m]読込時<br />';
	echo $e->getMessage();
	exit();
}
// ### モバイル接続時振り分け
if ($mobile_folder<>'' or $mobile_file<>'') {
	$agent = $_SERVER['HTTP_USER_AGENT'];
	$url = $domain.trim($mobile_folder,'/').'/'.trim($mobile_file,'/');
	if ($k_code<>'') { $url .= '?k_code='.$k_code; }
	if ($url<>'') {
		if (ereg("^DoCoMo", $agent)) {
			header("Location: $url");
		} else {
			if (ereg("^J-PHONE|^Vodafone|^SoftBank", $agent)) {
				header("Location: $url");
			} else {
				if (ereg("^UP.Browser|^KDDI", $agent)) {
					header("Location: $url");
				}
			}
		}
	}
}
// ### タイトルの文字置換（共通） ###
$pg_title = str_replace('[$$$domain]',$domain,$pg_title);	// ハメ込み合成（ドメイン）
$pg_title = str_replace('[$$$shopid]',$shop_id,$pg_title);	// ハメ込み合成（ショップＩＤ）
// ### キーワードの文字置換（共通） ###
$keywords = str_replace('[$$$domain]',$domain,$keywords);	// ハメ込み合成（ドメイン）
$keywords = str_replace('[$$$shopid]',$shop_id,$keywords);	// ハメ込み合成（ショップＩＤ）
// ### descriptionの文字置換（共通） ###
$description = str_replace('[$$$domain]',$domain,$description);		// ハメ込み合成（ドメイン）
$description = str_replace('[$$$shopid]',$shop_id,$description);	// ハメ込み合成（ショップＩＤ）
// ### <head>部の文字置換（共通） ###
$pg_head = str_replace('[$$$domain]',$domain,$pg_head);		// ハメ込み合成（ドメイン）
$pg_head = str_replace('[$$$shopid]',$shop_id,$pg_head);	// ハメ込み合成（ショップＩＤ）
// ### </body>前部の文字置換（共通） ###
$body_pre = str_replace('[$$$domain]',$domain,$body_pre);		// ハメ込み合成（ドメイン）
$body_pre = str_replace('[$$$shopid]',$shop_id,$body_pre);	// ハメ込み合成（ショップＩＤ）
if ($k_code<>'') {
	// ### タイトルの文字置換（明細ページ） ###
	$read_ari = 0;
	if ($title_num>0) {		// システム設定でタイトルにする項目番号定義あり
		$title_num = trim($title_num);
		if ($title_num>=1 and $title_num<=25) {
			$sql = 'SELECT k_data'.$title_num.' from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					$pg_title = $cols['k_data'.$title_num];
				}
			} catch (PDOException $e) {
			  echo $e->getMessage();
			  exit();
			}
			if ($pg_title=='') { $pg_title = '明細ページ'; }
		}
	} else {
		if (mb_strpos(' '.$pg_title,'[$$$')>0) {	// ハメ込みの記号見つけたら・・・
			$read_ari = 1;	// ２度読みしない様にフラグＯＮ
			$sql = 'SELECT ';
			for ($i = 1; $i <= 25; $i++) {
				$sql .= 'k_data'.$i.', ';
			}
			$sql .= 'ent_date from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					for ($i = 1; $i <= 25; $i++) {
						$val = trim($cols['k_data'.$i]);			// 両側スペース除去
						if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {
							if (strpos($val,'.')==true) {
								$val = rtrim($val,'0');			// 小数以下右側0除去
								$val = rtrim($val,'.');			// 小数以下無ければ、ピリオドも除去（上の0除去でピリオドのみ残った）
							}
						}
						$k_data[$i] = $val;
					}
					$ent_date = trim($cols['ent_date']);
				}
			} catch (PDOException $e) {
  				echo $e->getMessage();
  				exit();
			}
			for ($i = 1; $i <= 25; $i++) {
				$pg_title = str_replace('[$$$'.$i.']',$k_data[$i],$pg_title);	// ハメ込み合成実施
			}
			$pg_title = str_replace('[$$$code]',$k_code,$pg_title);		// ハメ込み合成（記事コード）
			$pg_title = str_replace('[$$$date]',$ent_date,$pg_title);	// ハメ込み合成（入力日）
		}
	}
	// ### キーワードの文字置換（明細ページ） ###
	if ($keywords_num>0) {	// システム設定でキーワードにする項目番号定義あり
		$keywords_num = trim($keywords_num);
		if ($keywords_num>=1 and $keywords_num<=25) {
			$sql = 'SELECT k_data2,k_data3,k_data'.$keywords_num.' from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					$keywords = $cols['k_data'.$keywords_num];
				}
			} catch (PDOException $e) {
			  echo $e->getMessage();
			  exit();
			}
			if ($keywords=='') { $keywords = 'detail'; }
		}
	} else {
		if (mb_strpos(' '.$keywords,'[$$$')>0) {	// ハメ込みの記号見つけたら・・・
			if ($read_ari==0) {	// 上の$pg_titleで読んでなかったら
				$read_ari = 1;	// ２度読みしない様にフラグＯＮ
				$sql = 'SELECT ';
				for ($i = 1; $i <= 25; $i++) {
					$sql .= 'k_data'.$i.', ';
				}
				$sql .= 'ent_date from kiji_t WHERE k_code = ?';
				$stt=$db->prepare($sql);
				$stt->bindParam(1, $k_code);
				try {
					$stt->execute();
					if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
						for ($i = 1; $i <= 25; $i++) {
							$val = trim($cols['k_data'.$i]);		// 両側スペース除去
							if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {
								if (strpos($val,'.')==true) {
									$val = rtrim($val,'0');			// 小数以下右側0除去
									$val = rtrim($val,'.');			// 小数以下無ければ、ピリオドも除去（上の0除去でピリオドのみ残った）
								}
							}
							$k_data[$i] = $val;
						}
						$ent_date = trim($cols['ent_date']);
					} 
				} catch (PDOException $e) {
  					echo $e->getMessage();
  					exit();
				}
			}
			for ($i = 1; $i <= 25; $i++) {
				$keywords = str_replace('[$$$'.$i.']',$k_data[$i],$keywords);	// ハメ込み合成実施
			}
			$keywords = str_replace('[$$$code]',$k_code,$keywords);		// ハメ込み合成（記事コード）
			$keywords = str_replace('[$$$date]',$ent_date,$keywords);	// ハメ込み合成（入力日）
		}
	}
	// ### descriptionの文字置換（明細ページ） ###
	if (mb_strpos(' '.$description,'[$$$')>0) {	// ハメ込みの記号見つけたら・・・
		if ($read_ari==0) {	// 上の$pg_title or $keywordsで読んでなかったら
			$read_ari = 1;	// ２度読みしない様にフラグＯＮ
			$sql = 'SELECT ';
			for ($i = 1; $i <= 25; $i++) {
				$sql .= 'k_data'.$i.', ';
			}
			$sql .= 'ent_date from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					for ($i = 1; $i <= 25; $i++) {
						$val = $cols['k_data'.$i];
						$val = trim($val);							// 両側スペース除去
						if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {
							if (strpos($val,'.')==true) {
								$val = rtrim($val,'0');			// 小数以下右側0除去
								$val = rtrim($val,'.');			// 小数以下無ければ、ピリオドも除去（上の0除去でピリオドのみ残った）
							}
						}
						$k_data[$i] = $val;
					}
					$ent_date = trim($cols['ent_date']);
				} 
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		}
		for ($i = 1; $i <= 25; $i++) {
			$description = str_replace('[$$$'.$i.']',$k_data[$i],$description);	// ハメ込み合成実施
		}
		$description = str_replace('[$$$code]',$k_code,$description);		// ハメ込み合成（記事コード）
		$description = str_replace('[$$$date]',$ent_date,$description);		// ハメ込み合成（入力日）
	}
	// ### <head>部の文字置換（明細ページ） ###
	if (mb_strpos(' '.$pg_head,'[$$$')>0) {	// ハメ込みの記号見つけたら・・・
		if ($read_ari==0) {	// 上の$pg_title or $keywordsで読んでなかったら
			$read_ari = 1;	// ２度読みしない様にフラグＯＮ
			$sql = 'SELECT ';
			for ($i = 1; $i <= 25; $i++) {
				$sql .= 'k_data'.$i.', ';
			}
			$sql .= 'ent_date from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					for ($i = 1; $i <= 25; $i++) {
						$val = $cols['k_data'.$i];
						$val = trim($val);							// 両側スペース除去
						if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {
							if (strpos($val,'.')==true) {
								$val = rtrim($val,'0');			// 小数以下右側0除去
								$val = rtrim($val,'.');			// 小数以下無ければ、ピリオドも除去（上の0除去でピリオドのみ残った）
							}
						}
						$k_data[$i] = $val;
					}
					$ent_date = trim($cols['ent_date']);
				} 
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		}
		for ($i = 1; $i <= 25; $i++) {
			$pg_head = str_replace('[$$$'.$i.']',$k_data[$i],$pg_head);	// ハメ込み合成実施
		}
		$pg_head = str_replace('[$$$code]',$k_code,$pg_head);		// ハメ込み合成（記事コード）
		$pg_head = str_replace('[$$$date]',$ent_date,$pg_head);		// ハメ込み合成（入力日）
	}
	// ### </body>前部の文字置換（明細ページ） ###
	if (mb_strpos(' '.$body_pre,'[$$$')>0) {	// ハメ込みの記号見つけたら・・・
		if ($read_ari==0) {	// 上の$pg_title or $keywordsで読んでなかったら
			$read_ari = 1;	// ２度読みしない様にフラグＯＮ
			$sql = 'SELECT ';
			for ($i = 1; $i <= 25; $i++) {
				$sql .= 'k_data'.$i.', ';
			}
			$sql .= 'ent_date from kiji_t WHERE k_code = ?';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $k_code);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					for ($i = 1; $i <= 25; $i++) {
						$val = $cols['k_data'.$i];
						$val = trim($val);							// 両側スペース除去
						if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {
							if (strpos($val,'.')==true) {
								$val = rtrim($val,'0');			// 小数以下右側0除去
								$val = rtrim($val,'.');			// 小数以下無ければ、ピリオドも除去（上の0除去でピリオドのみ残った）
							}
						}
						$k_data[$i] = $val;
					}
					$ent_date = trim($cols['ent_date']);
				} 
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		}
		for ($i = 1; $i <= 25; $i++) {
			$body_pre = str_replace('[$$$'.$i.']',$k_data[$i],$body_pre);	// ハメ込み合成実施
		}
		$body_pre = str_replace('[$$$code]',$k_code,$body_pre);		// ハメ込み合成（記事コード）
		$body_pre = str_replace('[$$$date]',$ent_date,$body_pre);	// ハメ込み合成（入力日）
	}
}
$pg_title = htmlspecialchars_decode($pg_title,ENT_QUOTES);
//$keywords = htmlspecialchars_decode($keywords,ENT_QUOTES);		//NG
//$description = htmlspecialchars_decode($description,ENT_QUOTES);	//NG
$pg_head = htmlspecialchars_decode($pg_head,ENT_QUOTES);
$body_pre = htmlspecialchars_decode($body_pre,ENT_QUOTES);
// ### menuでselected判断をする為にurlを渡す ###
$pg_url = trim($_SERVER['PHP_SELF']);
if (mb_strpos($pg_url,'.htm')==0 and mb_strpos($pg_url,'.php')==0) {		// htmlも含んでサーチ
	if (substr($pg_url,strlen($pg_url)-1,1)<>'/') { $pg_url .= '/'; }
	$pg_url .= 'index.html';
}
if ($_SERVER['QUERY_STRING']<>'') { $pg_url .= '?'.$_SERVER['QUERY_STRING']; }
// ### block_m ###
$x_gyo = 0;
$pad_left_bk = ' ';
$b_len = strlen($block);			// $block...'hlrmf'（ブロックコードの羅列）がセットされている
for ($i = 1; $i <= $b_len; $i++) {
	$b_code_m[$i] = substr($block,($i-1),1);
	$sql = 'SELECT b_style from block_m WHERE s_code = ? and pg_seq = ? and b_code = ?';
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $s_code);
	$stt->bindParam(2, $pg_seq);
	$stt->bindParam(3, $b_code_m[$i]);
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
			$b_style_m[$i] = str_replace('[$$$userimages]',$userimages,$cols['b_style']);
			// block_m2
			$sql = 'SELECT x_contents,x_code,x_dseq,x_float FROM block_m2 WHERE s_code = ? AND pg_seq = ? AND b_code = ? ORDER BY x_seq';
			$stt=$db->prepare($sql);
			$stt->bindParam(1, $s_code);
			$stt->bindParam(2, $pg_seq);
			$stt->bindParam(3, $b_code_m[$i]);
			try {
				$stt->execute();
				$contents_ari = 0;
				while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
					$contents_ari = 1;
					++$x_gyo;										// x_gyoは全block通しの番号
					$x_contents_m[$x_gyo] = $cols['x_contents'];
					$x_code_m[$x_gyo] = $cols['x_code'];
					$x_dseq_m[$x_gyo] = $cols['x_dseq'];
					$x_float_m[$x_gyo] = $cols['x_float'];
					$x_bcd_m[$x_gyo] = $b_code_m[$i];				// 要素毎にb_codeを記憶しておく（切り替わりが分かるように）
				}
				if ($contents_ari==0) {								// block_mにレコードがあり、block_m2にレコードが無い場合、背景だけを表示させたいので、
					++$x_gyo;										// コンテンツにダミーとして記録しておく
					$x_contents_m[$x_gyo] = 'dummy';
					$x_bcd_m[$x_gyo] = $b_code_m[$i];
				}
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		}
	} catch (PDOException $e) {
		echo $e->getMessage();
		exit();
	}
}
// ######################################################################
// --  Header部表示
// ######################################################################
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Language" content="ja" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="description" content="<?php echo $description?>" />
<meta name="keywords" content="<?php echo $keywords?>" />
<title><?php echo $pg_title?></title>
<script src="<?php echo $sys_path?>/jquery-1.2.6.js" type="text/javascript"></script>
<script src="<?php echo $sys_path?>/jquery.treeview.js" type="text/javascript"></script>
<script type="text/javascript">
//<![CDATA[
$(function() {
	$("#tree").treeview({
		collapsed: true,
		animated: "medium",
		control: "#sidetreecontrol",
		persist: "location"
	});
});
//]]>
</script>
<?php
// ######################################################################
// --  css表示
// ######################################################################
?>
<style type="text/css">
<!--
*{
	margin: 0px;
	padding: 0px;
}
body {
	margin: 0px;
	padding: 0px;
	color: #000000;
	text-align: center;
	vertical-align: baseline;
	line-height: <?php echo $line_height ?>;
	font: <?php echo $font_size ?> Verdana, Arial, Helvetica, sans-serif, "ＭＳ Ｐゴシック", Osaka, "ヒラギノ角ゴ Pro W3";
	background: <?php echo $s_bg_color.' ';
	if ($s_bg_image_flg=='1') {
		echo 'url('.$userimages.$s_bg_image.') '.$s_bg_image_rep.' '.$s_bg_image_posx.' '.$s_bg_image_posy;
	}?>;
}
div {
	line-height: <?php echo $line_height ?>;
}
img {
	border-style: none;
	background: bottom;
}
#container { 
	overflow: <?php
	if ($pg_box_h<>'')  { echo 'auto;'."\n"; } else { echo 'hidden;'."\n"; }
	if ($pg_box_w<>'')  { echo '	width:'.$pg_box_w.$unit_disp5[$pg_layout].';'."\n"; }
	if ($pg_box_h<>'')  { echo '	height:'.$pg_box_h.$unit_disp5[$pg_layout].';'."\n"; }
	if ($pg_line_w<>'') { echo '	border:'.$pg_line_w.'px solid;'."\n"; }
	if ($pg_line_c<>'')	{ echo '	border-color:'.$pg_line_c.';'."\n"; }
	echo 'margin: ';
	if ($pg_margin_top<>'')    { echo $pg_margin_top.$unit_disp5[$pg_layout].' ';   } else { echo '0 '; }
	echo 'auto ';
	if ($pg_margin_bottom<>'') { echo $pg_margin_bottom.$unit_disp5[$pg_layout];} else { echo '0'; }
	echo ';'."\n";
	if ($pg_padding_top<>'' or $pg_padding_right<>'' or $pg_padding_bottom<>'' or $pg_padding_left<>'')	{
		echo '	padding:';
		if ($pg_padding_top<>'')	{ echo $pg_padding_top.$unit_disp5[$pg_layout].' ';   } else { echo '0 '; }
		if ($pg_padding_right<>'')	{ echo $pg_padding_right.$unit_disp5[$pg_layout].' '; } else { echo '0 '; }
		if ($pg_padding_bottom<>'')	{ echo $pg_padding_bottom.$unit_disp5[$pg_layout].' ';} else { echo '0 '; }
		if ($pg_padding_left<>'') 	{ echo $pg_padding_left.$unit_disp5[$pg_layout].' ';  } else { echo '0 '; }
		echo ';'."\n";
	}
	?>
	text-align: left;
	background: <?php
	if ($pg_bg_trans=='1') {
		echo $pg_bg_color.' ';
	} else {
		echo 'transparent ';
	}
	if ($pg_bg_image_flg=='1') {
		echo 'url('.$userimages.$pg_bg_image.') '.$pg_bg_image_rep.' '.$pg_bg_image_posx.' '.$pg_bg_image_posy;
	}
?>;
}
div:after {       /* 画像overflow防止 */
  content: ".";
  display: block;
  visibility: hidden;
  height: 0;
  line-height:0;
  clear: both;
}
.button {
	text-align: center;
	vertical-align: middle;
	padding: 10px 0;
}
<?php
for ($i = 1; $i <= $b_len; $i++) {
	if ($b_style_m[$i]<>'') {
		echo htmlspecialchars_decode($b_style_m[$i]);	// block
	}
}
for ($i = 1; $i <= ($x_gyo); $i++) {
	switch ($x_contents_m[$i]) {
		case 'module':							// module
			$sql = 'SELECT m_style1, m_style2, p_code, d_seq from module_m WHERE m_code = ?';
			break;
		case 'menu':							// menu ( menu_m or kijimenu_m )
			$pos = mb_strpos($x_code_m[$i],'k-');
			if ($pos!==false) {
				$sql = 'SELECT km_style1 AS m_style1, km_style2 AS m_style2 from kijimenu_m WHERE km_code = ?';
				$x_code_m[$i] = mb_substr($x_code_m[$i],2);
				$x_contents_m[$i] = 'kijimenu';
		} else {
				$sql = 'SELECT mn_type, mn_hier_max, mn_gyo, mn_style1 AS m_style1, mn_style2 AS m_style2 from menu_m WHERE mn_code = ?';
			}
			break;
		case 'free':							// freeparts_m
			$sql = 'SELECT source, style1 AS m_style1, style2 AS m_style2, id_class_flg, id_class_name from freeparts_m WHERE p_code = ?';
			break;
		case 'detail':							// parts_m
			$sql = 'SELECT source, style1 AS m_style1, style2 AS m_style2, item, gyo from parts_design_m a, parts_m b WHERE a.p_code = ? AND d_seq = ? AND a.p_code=b.p_code';
			break;
		case 'special':							// inq_m,・・・
			$pos = mb_strpos($x_code_m[$i],'q-');
			if ($pos!==false) {
				$sql = 'SELECT iq_gyo,iq_style1 AS m_style1,iq_style2 AS m_style2 FROM inq_m WHERE iq_code = ?';
				$x_code_m[$i] = mb_substr($x_code_m[$i],2);
			} else {
				$sql = '';
			}
			break;
	}
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $x_code_m[$i]);
	if ($x_contents_m[$i]=='detail') {
		$stt->bindParam(2, $x_dseq_m[$i]);
	}
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
			$m_style1 = $cols['m_style1'];
			$m_style2 = $cols['m_style2'];
			switch ($x_contents_m[$i]) {
				case 'module':
					$Cnt_m[$i] = ++$mCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$p_code = $cols['p_code'];
					$d_seq = $cols['d_seq'];
					// ####################
					// -- parts_design_m
					// ####################
					$stt=$db->prepare('SELECT style1, style2 FROM parts_design_m WHERE p_code = ? and d_seq = ?');
					$stt->bindParam(1, $p_code);
					$stt->bindParam(2, $d_seq);
					try {
						$stt->execute();
						if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
							$style1 = $cols['style1'];
							$style2 = $cols['style2'];
							$style1 = str_replace('/*(1)',' ',$style1);	// 左寄せ
							$style1 = str_replace('(1)*/',' ',$style1);
							$style1 = str_replace('[$$$counter]',"x",$style1);
							$style2 = str_replace('[$$$counter]',"x",$style2);
						} 
					} catch (PDOException $e) {
						echo $e->getMessage();
						exit();
					}
					break;
				case 'menu':
					$Cnt_m[$i] = ++$mnCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$images]',$images,$m_style2);
					$mn_type_m[$i] = $cols['mn_type'];
					$mn_hier_max_m[$i] = $cols['mn_hier_max'];
					$mn_gyo_m[$i] = $cols['mn_gyo'];
					break;
				case 'kijimenu':
					$Cnt_m[$i] = ++$kmCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$images]',$images,$m_style2);
					break;
				case 'free':
					$Cnt_m[$i] = ++$fCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$p_code_m[$i] = $x_code_m[$i];
					$source_m[$i] = $cols['source'];
					$id_class_flg_m[$i] = $cols['id_class_flg'];
					$id_class_name_m[$i] = $cols['id_class_name'];
					break;
				case 'detail':
					$Cnt_m[$i] = ++$dCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style2);
					$p_code_m[$i] = $x_code_m[$i];
					$source_m[$i] = $cols['source'];
					$item_m[$i] = $cols['item'];
					$gyo_m[$i] = $cols['gyo'];
					break;
				case 'special':
					$Cnt_m[$i] = ++$spCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style2);
					$iq_gyo_m[$i] = $cols['iq_gyo'];
					// specialの要素が増えたら、ここへ追加
					break;
				default:
					break;
			}
		}
	} catch (PDOException $e) {
		echo $e->getMessage();
		exit();
	}
	switch ($x_float_m[$i]) {
		case 'l':												// 左寄せで表示（注釈除去）
			$m_style1 = str_replace('/*(1)',' ',$m_style1);
			$m_style1 = str_replace('(1)*/',' ',$m_style1);
			if ($float_bk=='l') {
				$m_style1 = str_replace('/*(4)',' ',$m_style1);	// clear:both（前のコンテンツも同じ場合）
				$m_style1 = str_replace('(4)*/',' ',$m_style1);
			}
			break;
		case 'c':												// 中央
			$m_style1 = str_replace('/*(2)',' ',$m_style1);
			$m_style1 = str_replace('(2)*/',' ',$m_style1);
			$m_style1 = str_replace('/*(4)',' ',$m_style1);
			$m_style1 = str_replace('(4)*/',' ',$m_style1);
			break;
		case 'r':												// 右寄せ
			$m_style1 = str_replace('/*(3)',' ',$m_style1);
			$m_style1 = str_replace('(3)*/',' ',$m_style1);
			if ($float_bk=='r') {
				$m_style1 = str_replace('/*(4)',' ',$m_style1);	// clear:both（前のコンテンツも同じ場合）
				$m_style1 = str_replace('(4)*/',' ',$m_style1);
			}
			break;
		case 'f':												// 回り込み
			switch ($float_bk) {								// その上のコンテンツに追従する（但し、clear:bothは注釈のまま）
				case 'l':
					$m_style1 = str_replace('/*(1)',' ',$m_style1);
					$m_style1 = str_replace('(1)*/',' ',$m_style1);
					break;
				case 'c':
					$m_style1 = str_replace('/*(2)',' ',$m_style1);
					$m_style1 = str_replace('(2)*/',' ',$m_style1);
					break;
				case 'r':
					$m_style1 = str_replace('/*(3)',' ',$m_style1);
					$m_style1 = str_replace('(3)*/',' ',$m_style1);
					break;
				default:
					$m_style1 = str_replace('/*(2)',' ',$m_style1);
					$m_style1 = str_replace('(2)*/',' ',$m_style1);
					break;
			}
			break;
	}
	if ($x_float_m[$i]<>'f') { $float_bk = $x_float_m[$i]; }	// 次の回り込みの為にバックアップ（但し回り込みの時以外）
	// #############
	// -- css出力
	// #############
	if ($x_contents_m[$i]<>'dummy') {
		echo htmlspecialchars_decode($m_style1);
		echo htmlspecialchars_decode($m_style2);
		if ($x_contents_m[$i]=='module') {
			echo htmlspecialchars_decode($style1);	// partsのcss
			echo htmlspecialchars_decode($style2);
		}
	}
}
?>
-->
</style>
<?php
echo $pg_head;		// ユーザ指定head部記述
?>
</head>
<body<?php if ($pg_onload<>'') { echo ' onload="'.$pg_onload.'"'; }?>>
<div id="container">
<?php
// ######################################################################
// --  ページ毎のパスワードチェック（設定されている場合のみ）
// ######################################################################
if ($pg_pass_flg=='1') {
	if ($en_pass==$pg_pass) {
		// passwordが一致
		$_SESSION['en_pass'] = $en_pass;
	} else {
		if ($en_pass<>'') {
			echo '<span style="color:#FFF;background-color:Red;" font-weight:bold;">*** 一致しません ***</span><br /><br />';
		} else {
			echo '<span style="color:#000;background-color:Yellow;">パスワードを入力してください。</span><br /><br />';
		}
		?>
		<form method="post" action="<?php echo $self?>">
        	<span style="color:#000;background-color:Yellow;">パスワード：</span>
			<input type="password" id="en_pass" name="en_pass" size="20" />
			<input type="submit" name="login" value="ログイン" border="0" />
			<?php
			if ($paraCnt>0) {
				for ($i = 1; $i <= $paraCnt; $i++) {
					if ($para_name[$i]<>'en_pass' and $para_name[$i]<>'ログイン') {
						echo '<input type="hidden" name="'.$para_name[$i].'" value="'.$para_data[$i].'" />'."\n";
					}
				}
			}
		?>
		</form>
		<?php
		exit();
	}
}
// ######################################################################
// --  本体表示
// ######################################################################
$b_code_bk = $x_bcd_m[1];								// b_code切り替わり比較用バックアップ
$div_on = 0;
for ($i = 1; $i <= ($x_gyo); $i++) {
	if ($i==1 or $x_bcd_m[$i]<>$b_code_bk) {
		if ($div_on==1) {								// <div>出力済み
			echo '</div> <!-- end of block -->';		// 閉じる
			$div_on = 0;
		}
		echo '<div class="block_'.$x_bcd_m[$i].'">'."\n";	// blockの<div>
		$div_on = 1;
		$b_code_bk = $x_bcd_m[$i];
	}
	$Cnt = $Cnt_m[$i];
	switch ($x_contents_m[$i]) {
		case 'module':
			$m_code = $x_code_m[$i];
			if ($p_detail=='1') {
				$self2 = $domain.$s_explanation;	//明細ページの正規形に戻す（検索キーを有効にする為）
			} else {
				$self2 = $self;
			}
			$work = 'page_m'.$m_code.'_'.$Cnt;	// $page_m1_1 など
			$page = $$work;
			if ($page<1) { $page = 1; }
			$k_code2 = $k_code;					// URL指定時のパラメータ$k_code（内部で重複するので、別変数に格納）
			$buffer  = 'm_key_'.$m_code;		// 検索入力値
			$buffer2 = 'm_key2_'.$m_code;		// pagerパラメータ用検索値コピー	global $m_keywords;
			$buf  = $$buffer;
			$buf2 = $$buffer2;
			module_disp();
			break;
		case 'menu':
			$mn_code = $x_code_m[$i];
			$mn_type = $mn_type_m[$i];
			$mn_hier_max = $mn_hier_max_m[$i];
			$mn_gyo = $mn_gyo_m[$i];
			menu_disp();
			break;
		case 'kijimenu':
			$km_code = $x_code_m[$i];
			$self2 = $self;
			$work = 'page_km'.$km_code.'_'.$Cnt;	// $page_km1_1 など
			$page = $$work;
			if ($page<1) { $page = 1; }
			$k_code2 = $k_code;					// URL指定時のパラメータ$k_code（内部で重複するので、別変数に格納）
			kijimenu_disp();
			break;
		case 'free':
			$p_code = $p_code_m[$i];
			$source = $source_m[$i];
			$id_class_flg = $id_class_flg_m[$i];
			$id_class_name = $id_class_name_m[$i];
			freeparts_disp();
			break;
		case 'detail':
			$p_code = $p_code_m[$i];
			$d_seq = $x_dseq_m[$i];
			$source = $source_m[$i];
			$item = $item_m[$i];
			$gyo = $gyo_m[$i];
			parts_disp();
			break;
		case 'special':
			$iq_code = $x_code_m[$i];
			$iq_gyo = $iq_gyo_m[$i];
			inq_disp();
			break;
	}
}
if ($div_on==1) {		// <div>出力済み
	echo '</div> <!-- end of block -->'."\n";		// 最後の閉じ
	$div_on = 0;
}
?>
</div> <!-- end of container -->
<?php echo $body_pre?>
</body>
</html>

<?php
// ######################################################################
// --  モジュール表示
// ######################################################################
function module_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $sys_path;
	global $db;
	global $domain;
	global $s_explanation;
	global $p_detail;
	global $userimages;
	global $Cnt;
	global $m_code;
	global $self2;
	global $page;
	global $k_code2;
	global $shop_id;
	global $buf;
	global $buf2;
	global $m_keywords2;
	global $btn2;
	global $authcode;
	global $v1,$v2,$v3,$v4,$v5,$v6,$v7,$v8,$v9,$v10;
	include ('module_disp.php');
}
// ######################################################################
// --  メニュー表示
// ######################################################################
function menu_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $db;
	global $domain;
	global $shop_id;
	global $Cnt;
	global $mn_code;
	global $mn_type;
	global $mn_hier_max;
	global $mn_gyo;
	global $pg_url;
	global $pg_file;
	global $authcode;
	include ('menu_disp.php');
}
// ######################################################################
// --  記事メニュー表示
// ######################################################################
function kijimenu_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $db;
	global $domain;
	global $s_explanation;
	global $Cnt;
	global $km_code;
	global $self2;
	global $page;
	global $k_code2;
	global $authcode;
	include ('kijimenu_disp.php');
}
// ######################################################################
// --  フリーパーツ表示
// ######################################################################
function freeparts_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $sys_path;
	global $db;
	global $domain;
	global $Cnt;
	global $p_code;
	global $source;
	global $id_class_flg;
	global $id_class_name;
	global $shop_id;
	global $authcode;
	global $v1,$v2,$v3,$v4,$v5,$v6,$v7,$v8,$v9,$v10;
	include ('freeparts_disp.php');
}
// ######################################################################
// --  パーツ表示
// ######################################################################
function parts_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $sys_path;
	global $db;
	global $domain;
	global $userimages;
	global $Cnt;
	global $p_code;
	global $d_seq;
	global $source;
	global $item;
	global $gyo;
	global $k_code;
	global $shop_id;
	$Cnt2 = $Cnt;
	global $authcode;
	global $v1,$v2,$v3,$v4,$v5,$v6,$v7,$v8,$v9,$v10;
	include ('parts_disp.php');
}
// ######################################################################
// --  特殊パーツ表示
// ######################################################################
function inq_disp() {
	global $dti_path;	//<----- 『妖艶Pro』専用!
	global $db;
	global $self;
	global $Cnt;
	global $btn;
	global $goto;
	global $entdate;
	global $enttime;
	global $iq_code;
	global $iq_gyo;
	for ($i = 1; $i <= $iq_gyo; $i++) {
		$work = 'iq'.$iq_code.'_'.$i;	// 項目ID
		global $$work;
		$work_array = 'iq'.$iq_code.'_'.$i.'_array';	// 項目ID
		global $$work_array;
		$work_array2 = 'iq'.$iq_code.'_'.$i.'_array2';	// 項目ID
		global $$work_array2;
	}
	// site_define.phpからの引き継ぎ
	global $s_code;
	global $pg_seq;
	global $b_code;
	global $authcode;
	include ('inq_disp.php');
}
?>