<?php
// ######################################################################
// --					　記事クリエイター
$title=				  'サイト設定・プレビュー';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'site_def2.php';								// このプログラム
$menu_num = 5;
$sessin_off = 1; include('kiji_common.php');
// ----------------------------------------------------------------------
?>
<script type="text/javascript">
//<![CDATA[
window.name="site_def2";
//]]>
</script>
<script src="jquery-1.2.6.js" type="text/javascript"></script>
<script src="jquery.treeview.js" type="text/javascript"></script>
<script type="text/javascript">
//<![CDATA[
$(function() {
	$("#tree").treeview({
		collapsed: true,
		animated: "medium",
		control: "#sidetreecontrol",
		persist: "location"
	});
});
//]]>
</script>
<script type="text/javascript">
//<![CDATA[
$(function() {
  $("#hier1_2 li").click(function() {
    $("#hier1_2 li a").removeClass("current");
    $(this).children("a").addClass("current");
  });
});
//]]>
</script>
<?php
// ##### 表示画面分岐 #####
switch ($btn) {
	case "戻る":
		$goto = 'scr_entry';
		break;
	case "内容を確認する":
		$goto = 'scr_confirm';
		break;
    case "送信する":
		$goto = 'scr_send';
		break;
    default:
		$goto = 'scr_entry';
}
// ######################################################################
// --  読込
// ######################################################################
// ### block_m ###
$sql = 'SELECT b_style, x_gyo from block_m WHERE s_code = ? and pg_seq = ? and b_code = ?';
$stt=$db->prepare($sql);
$stt->bindParam(1, $s_code);
$stt->bindParam(2, $pg_seq);
$stt->bindParam(3, $b_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$b_style = str_replace('[$$$userimages]',$userimages,$cols['b_style']);
		$x_gyo = $cols['x_gyo'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
$sql = 'SELECT x_contents,x_code,x_dseq,x_float FROM block_m2 WHERE s_code = ? AND pg_seq = ? AND b_code = ? ORDER BY x_seq';
$stt=$db->prepare($sql);
$stt->bindParam(1, $s_code);
$stt->bindParam(2, $pg_seq);
$stt->bindParam(3, $b_code);
try {
	$stt->execute();
	$x_gyo = 0;
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$x_gyo;
		$x_contents_m[$x_gyo] = $cols['x_contents'];
		$x_code_m[$x_gyo] = $cols['x_code'];
		$x_dseq_m[$x_gyo] = $cols['x_dseq'];
		$x_float_m[$x_gyo] = $cols['x_float'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
// ######################################################################
// --  css表示
// ######################################################################
echo '<style type="text/css">'."\n";
echo '<!--'."\n";
echo htmlspecialchars_decode($b_style);			// block
for ($i = 1; $i <= ($x_gyo); $i++) {
	switch ($x_contents_m[$i]) {
		case 'module':							// module
			$sql = 'SELECT m_num, m_style1, m_style2, p_code, d_seq from module_m WHERE m_code = ?';
			break;
		case 'menu':							// menu ( menu_m or kijimenu_m )
			$pos = mb_strpos($x_code_m[$i],'k-');
			if ($pos!==false) {
				$sql = 'SELECT km_style1 AS m_style1, km_style2 AS m_style2 from kijimenu_m WHERE km_code = ?';
				$x_code_m[$i] = mb_substr($x_code_m[$i],2);
				$x_contents_m[$i] = 'kijimenu';
		} else {
				$sql = 'SELECT mn_type, mn_hier_max, mn_gyo, mn_style1 AS m_style1, mn_style2 AS m_style2 from menu_m WHERE mn_code = ?';
			}
			break;
		case 'free':							// freeparts_m
			$sql = 'SELECT source, style1 AS m_style1, style2 AS m_style2, id_class_flg, id_class_name from freeparts_m WHERE p_code = ?';
			break;
		case 'detail':							// parts_m
			$sql = 'SELECT source, style1 AS m_style1, style2 AS m_style2, item, gyo from parts_design_m a, parts_m b WHERE a.p_code = ? AND d_seq = ? AND a.p_code=b.p_code';
			break;
		case 'special':							// inq_m,・・・
			$pos = mb_strpos($x_code_m[$i],'q-');
			if ($pos!==false) {
				$sql  = 'SELECT iq_gyo,iq_style1 AS m_style1,iq_style2 AS m_style2 FROM inq_m WHERE iq_code = ?';
				$x_code_m[$i] = mb_substr($x_code_m[$i],2);
			} else {
				$sql = '';
			}
			break;
	}
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $x_code_m[$i]);
	if ($x_contents_m[$i]=='detail') {
		$stt->bindParam(2, $x_dseq_m[$i]);
	}
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
			$m_style1 = $cols['m_style1'];
			$m_style2 = $cols['m_style2'];
			switch ($x_contents_m[$i]) {
				case 'module':
					$Cnt_m[$i] = ++$mCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$p_code = $cols['p_code'];
					$d_seq = $cols['d_seq'];
					// ####################
					// -- parts_design_m
					// ####################
					$stt=$db->prepare('SELECT style1, style2 FROM parts_design_m WHERE p_code = ? and d_seq = ?');
					$stt->bindParam(1, $p_code);
					$stt->bindParam(2, $d_seq);
					try {
						$stt->execute();
						if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
							$style1 = $cols['style1'];
							$style2 = $cols['style2'];
							$style1 = str_replace('/*(1)',' ',$style1);	// 左寄せ
							$style1 = str_replace('(1)*/',' ',$style1);
							$style1 = str_replace('[$$$counter]',"x",$style1);
							$style2 = str_replace('[$$$counter]',"x",$style2);
						} 
					} catch (PDOException $e) {
						echo $e->getMessage();
						exit();
					}
					break;
				case 'menu':
					$Cnt_m[$i] = ++$mnCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$images]',$images,$m_style2);
					$mn_type_m[$i] = $cols['mn_type'];
					$mn_hier_max_m[$i] = $cols['mn_hier_max'];
					$mn_gyo_m[$i] = $cols['mn_gyo'];
					break;
				case 'kijimenu':
					$Cnt_m[$i] = ++$kmCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$images]',$images,$m_style2);
					break;
				case 'free':
					$Cnt_m[$i] = ++$fCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$p_code_m[$i] = $x_code_m[$i];
					$source_m[$i] = $cols['source'];
					$id_class_flg_m[$i] = $cols['id_class_flg'];
					$id_class_name_m[$i] = $cols['id_class_name'];
					break;
				case 'detail':
					$Cnt_m[$i] = ++$dCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style2);
					$p_code_m[$i] = $x_code_m[$i];
					$source_m[$i] = $cols['source'];
					$item_m[$i] = $cols['item'];
					$gyo_m[$i] = $cols['gyo'];
					break;
				case 'special':
					$Cnt_m[$i] = ++$spCnt[$x_code_m[$i]];	// 同一コードでいくつ目かを記録（style重複防止）
					$m_style1 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style1);
					$m_style2 = str_replace('[$$$counter]',$Cnt_m[$i],$m_style2);
					$iq_gyo_m[$i] = $cols['iq_gyo'];
					// specialの要素が増えたら、ここへ追加
					break;
				default:
					break;
			}
		}
	} catch (PDOException $e) {
		echo $e->getMessage();
		exit();
	}
	switch ($x_float_m[$i]) {
		case 'l':												// 左寄せで表示（注釈除去）
			$m_style1 = str_replace('/*(1)',' ',$m_style1);
			$m_style1 = str_replace('(1)*/',' ',$m_style1);
			if ($float_bk=='l') {
				$m_style1 = str_replace('/*(4)',' ',$m_style1);	// clear:both（前のコンテンツも同じ場合）
				$m_style1 = str_replace('(4)*/',' ',$m_style1);
			}
			break;
		case 'c':												// 中央
			$m_style1 = str_replace('/*(2)',' ',$m_style1);
			$m_style1 = str_replace('(2)*/',' ',$m_style1);
			$m_style1 = str_replace('/*(4)',' ',$m_style1);
			$m_style1 = str_replace('(4)*/',' ',$m_style1);
			break;
		case 'r':												// 右寄せ
			$m_style1 = str_replace('/*(3)',' ',$m_style1);
			$m_style1 = str_replace('(3)*/',' ',$m_style1);
			if ($float_bk=='r') {
				$m_style1 = str_replace('/*(4)',' ',$m_style1);	// clear:both（前のコンテンツも同じ場合）
				$m_style1 = str_replace('(4)*/',' ',$m_style1);
			}
			break;
		case 'f':												// 回り込み
			switch ($float_bk) {								// その上のコンテンツに追従する（但し、clear:bothは注釈のまま）
				case 'l':
					$m_style1 = str_replace('/*(1)',' ',$m_style1);
					$m_style1 = str_replace('(1)*/',' ',$m_style1);
					break;
				case 'c':
					$m_style1 = str_replace('/*(2)',' ',$m_style1);
					$m_style1 = str_replace('(2)*/',' ',$m_style1);
					break;
				case 'r':
					$m_style1 = str_replace('/*(3)',' ',$m_style1);
					$m_style1 = str_replace('(3)*/',' ',$m_style1);
					break;
				default:
					$m_style1 = str_replace('/*(2)',' ',$m_style1);
					$m_style1 = str_replace('(2)*/',' ',$m_style1);
					break;
			}
			break;
	}
	if ($x_float_m[$i]<>'f') { $float_bk = $x_float_m[$i]; }	// 次の回り込みの為にバックアップ（但し回り込みの時以外）
	// #############
	// -- css出力
	// #############
	echo htmlspecialchars_decode($m_style1);
	echo htmlspecialchars_decode($m_style2);
	if ($x_contents_m[$i]=='module') {
		echo htmlspecialchars_decode($style1);	// partsのcss
		echo htmlspecialchars_decode($style2);
	}
}
echo '-->'."\n";
echo '</style>'."\n";
?>
</head>
<body>
<form method="post" action="" target="" onSubmit="window.close()" >
<span class="btnleft">
<input type="submit" name="btn" value="閉じる" border="0" />
</span>
</form>
<hr />
<?php
// ######################################################################
// --  本体表示
// ######################################################################
echo '<div class="block_'.$b_code.'">';
for ($i = 1; $i <= ($x_gyo); $i++) {
	$Cnt = $Cnt_m[$i];
	switch ($x_contents_m[$i]) {
		case 'module':
			$m_code = $x_code_m[$i];
			$work = 'page_m'.$m_code.'_'.$Cnt;	// $page_m1_1 など
			$page = $$work;
			if ($page<1) { $page = 1; }
			$self2 = $self.'?s_code='.$s_code.'&pg_seq='.$pg_seq.'&b_code='.$b_code;
			module_disp();
			break;
		case 'menu':
			$mn_code = $x_code_m[$i];
			$mn_type = $mn_type_m[$i];
			$mn_hier_max = $mn_hier_max_m[$i];
			$mn_gyo = $mn_gyo_m[$i];
			menu_disp();
			break;
		case 'kijimenu':
			$km_code = $x_code_m[$i];
			$work = 'page_km'.$km_code.'_'.$Cnt;	// $page_m1_1 など
			$page = $$work;
			if ($page<1) { $page = 1; }
			$self2 = $self.'?s_code='.$s_code.'&pg_seq='.$pg_seq.'&b_code='.$b_code;
			kijimenu_disp();
			break;
		case 'free':
			$p_code = $p_code_m[$i];
			$source = $source_m[$i];
			$id_class_flg = $id_class_flg_m[$i];
			$id_class_name = $id_class_name_m[$i];
			freeparts_disp();
			break;
		case 'detail':
			$p_code = $p_code_m[$i];
			$source = $source_m[$i];
			$item = $item_m[$i];
			$gyo = $gyo_m[$i];
			parts_disp();
			break;
		case 'special':
			$iq_code = $x_code_m[$i];
			$iq_gyo = $iq_gyo_m[$i];
			inq_disp();
			break;
	}
}
?>
</div>
</body>
</html>

<?php
// ######################################################################
// --  モジュール表示
// ######################################################################
function module_disp() {
	global $db;
	global $domain;
	global $s_explanation;
	global $userimages;
	global $Cnt;
	global $m_code;
	global $self2;
	global $page;
	global $shop_id;
	global $s_code;
	global $pg_seq;
	global $b_code;
	include('module_disp.php');
}
// ######################################################################
// --  メニュー表示
// ######################################################################
function menu_disp() {
	global $db;
	global $Cnt;
	global $mn_code;
	global $mn_type;
	global $mn_hier_max;
	global $mn_gyo;
	include('menu_disp.php');
}
// ######################################################################
// --  記事メニュー表示
// ######################################################################
function kijimenu_disp() {
	global $db;
	global $domain;
	global $s_explanation;
	global $Cnt;
	global $km_code;
	global $self2;
	global $page;
	include('kijimenu_disp.php');
}
// ######################################################################
// --  フリーパーツ表示
// ######################################################################
function freeparts_disp() {
	global $db;
	global $domain;
	global $Cnt;
	global $p_code;
	global $source;
	global $id_class_flg;
	global $id_class_name;
	global $shop_id;
	include('freeparts_disp.php');
}
// ######################################################################
// --  パーツ表示
// ######################################################################
function parts_disp() {
	global $db;
	global $domain;
	global $userimages;
	global $Cnt;
	global $p_code;
	global $d_seq;
	global $source;
	global $item;
	global $gyo;
	global $k_code;
	global $shop_id;
	$Cnt2 = $Cnt;	// module_disp.phpもparts_disp.phpをincludeする為、変数を区別
	include('parts_disp.php');
}
// ######################################################################
// --  特殊パーツ表示
// ######################################################################
function inq_disp() {
	global $db;
	global $self;
	global $Cnt;
	global $btn;
	global $goto;
	global $entdate;
	global $enttime;
	global $iq_code;
	global $iq_gyo;
	for ($i = 1; $i <= $iq_gyo; $i++) {
		$work = 'iq'.$iq_code.'_'.$i;	// 項目ID
		global $$work;
		$work_array = 'iq'.$iq_code.'_'.$i.'_array';	// 項目ID
		global $$work_array;
		$work_array2 = 'iq'.$iq_code.'_'.$i.'_array2';	// 項目ID
		global $$work_array2;
	}
	// site_define.phpからの引き継ぎ
	global $s_code;
	global $pg_seq;
	global $b_code;
	include('inq_disp.php');
}
?>