<?php
// ######################################################################
// --						記事クリエイター
$title=					'サイトマップ作成・送信';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'sitemap.php';									// このプログラム
$menu_num = 7;
include('kiji_common.php');
$max_count = 20000;			// sitemap最大件数
$umu_disp[0] = 'なし';
$umu_disp[1] = '<span style="color:green;">設定済</span>';
//-----------------------------------------------------------------------
//--- 明細ページ情報取得 ---
$stt=$db->prepare("SELECT a.s_code s_code00,pg_seq,pg_title,mobile_flg FROM site_m a,page_m b WHERE p_detail='1' AND a.s_code=b.s_code ORDER BY mobile_flg,a.s_code,pg_seq");	// PCサイトを先に表示
$stt->execute();
$pgCnt = 0;
while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
	++$pgCnt;
	$s_code_m[$pgCnt]    = $cols['s_code00'];
	$pg_seq_m[$pgCnt]    = $cols['pg_seq'];
	$pg_title_m[$pgCnt]  = $cols['pg_title'];
	$mobile_flg_m[$pgCnt]= $cols['mobile_flg'];
}
//--- 条件設定有無取得 ---
for ($i = 1; $i <= $pgCnt; $i++) {
	$stt=$db->prepare("SELECT sc_where FROM sitemap_m WHERE s_code=? AND pg_seq=?");
	$stt->bindParam(1, $s_code_m[$i]);
	$stt->bindParam(2, $pg_seq_m[$i]);
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$pg_flg_m[$i]   = 1;
		$sc_where_m[$i] = $cols['sc_where'];
	} else {
		$pg_flg_m[$i]   = 0;
		$sc_where_m[$i] = '';
	}
}
if ($btn=='作成・送信実行準備') {
	$stt=$db->prepare("DELETE FROM sitemap_kanri_t2 WHERE sm_key=1");
	$stt->execute();
	$p_code = '';
	//--- パーツ毎の全件数保持変数初期化 ---
	$stt=$db->prepare("SELECT p_code FROM parts_m");
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$zenken[$cols['p_code']] = -1;
	}
	//--- サイトマップ作成管理テーブル２・初期化 ---
	$kensu_all = 0;
	for ($i = 1; $i <= $pgCnt; $i++) {
		//--- パーツコード取得 ---
		$stt=$db->prepare("SELECT x_code FROM block_m2 WHERE s_code=? AND pg_seq=? AND x_contents='detail'");
		$stt->bindParam(1, $s_code_m[$i]);
		$stt->bindParam(2, $pg_seq_m[$i]);
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
			$p_code = $cols['x_code'];	// パーツコード
		}
		//--- 件数取得 ---
		if ($sc_where_m[$i]=='') {		// 条件なし→対象：該当パーツの記事全件
			if ($zenken[$p_code]==-1) {	// 該当パーツ毎全件数は、各１回だけ取得
				$stt=$db->prepare("SELECT COUNT(k_code) kCnt FROM kiji_t WHERE p_code=?");
				$stt->bindParam(1, $p_code);
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
					$zenken[$p_code] = $cols['kCnt'];
				} else {
					$zenken[$p_code] = 0;
				}
			}
			$kenmax = $zenken[$p_code];
		} else {
			$stt=$db->prepare("SELECT COUNT(k_code) kCnt FROM kiji_t WHERE p_code=? AND ".$sc_where_m[$i]);
			$stt->bindParam(1, $p_code);
			$stt->execute();
			if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
				$kenmax = $cols['kCnt'];
			} else {
				$kenmax = 0;
			}
		}
		$kensu_all += $kenmax;
		//--- 書込み ---
		$kenset = 0;
		$stt=$db->prepare("INSERT INTO sitemap_kanri_t2 VALUES (1,?,?,?,?,?,?,?,?)");
		$stt->bindParam(1, $i);
		$stt->bindParam(2, $s_code_m[$i]);
		$stt->bindParam(3, $pg_seq_m[$i]);
		$stt->bindParam(4, $p_code);
		$stt->bindParam(5, $mobile_flg_m[$i]);
		$stt->bindParam(6, $sc_where_m[$i]);
		$stt->bindParam(7, $kenset);
		$stt->bindParam(8, $kenmax);
		$stt->execute();
	}
	//--- サイトマップ作成管理テーブル・初期化 ---
	$sql = "SELECT COUNT(pg_seq) pCnt FROM site_m a,page_m b WHERE a.s_code=b.s_code AND p_detail<>'1'";
	$stt=$db->prepare($sql);
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$kensu_all += $cols['pCnt'];	// 一般ページ数を加算
	}
	//
	$stt=$db->prepare("DELETE FROM sitemap_kanri_t WHERE sm_key=1");
	$stt->execute();
	$stt=$db->prepare("INSERT INTO sitemap_kanri_t VALUES (1,?,?,?,?,?,?,?,?)");
	$syori  = 1;
	$gr_max = $pgCnt+1;
	$gr_cnt = 1;
	$read_key   = '';
	$kensu_rui  = 0;
	$chk_list   = '';
	$start_time = '';
	$stt->bindParam(1, $syori);
	$stt->bindParam(2, $gr_max);
	$stt->bindParam(3, $gr_cnt);
	$stt->bindParam(4, $read_key);
	$stt->bindParam(5, $kensu_all);
	$stt->bindParam(6, $kensu_rui);
	$stt->bindParam(7, $chk_list);
	$stt->bindParam(8, $start_time);
	$stt->execute();
}
// ##### 更新処理・表示画面分岐指示 #####
switch ($btn) {
	case '作成・送信実行準備':
		$goto = 'scr_prepare';
		break;
	case 'exec':
		$goto = 'scr_exec';
		break;
	default:
		$goto = 'scr_choice';
}
?>
<style type="text/css">
<!--
table.detail
{
	width:100%;
	border-collapse: collapse;
	margin-right: auto;
	margin-left: auto;
	font-size: 1em;
}
table.detail th, table.detail td
{
	border: 1px solid #0071B6;
	padding: 3px;
}
table.detail th
{
	background-color: #B8E0F4;
	text-align: center;
	color: #222;
	font-weight: normal;
}
-->
</style>
<script type="text/javascript">
//<![CDATA[
function SubWinOpen(key1) {
window.open("sitemap_disp.php?google_on="+key1,"sitemap_disp","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=420px,height=282px");
}
function SubWinOpen2(key1,key2,key3) {
window.open("sitemap2.php?s_code="+key1+"&pg_seq="+key2+"&mobile_flg="+key3,"sitemap2","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=800px,height=600px");
}
function editor(key) {
document.scr_choice.p_num.value = key;
}
//]]>
</script>
</head>
<?php
if ($goto=='scr_prepare') {
	echo '<body onLoad="SubWinOpen('."'".$google_on."');".'">';
} else {
	if ($btn=='設定') {
		echo '<body onLoad="SubWinOpen2('."'".$s_code_m[$p_num]."','".$pg_seq_m[$p_num]."','".$mobile_flg_m[$p_num]."');".'">';
	} else {
		echo '<body>';
	}
}
// ### 共通メニュー ###
include('head.txt');
//
switch ($goto) {
// ######################################################################
// --  サイト選択
// ######################################################################
case 'scr_choice':
$gamen = 1;
?>
<form name="scr_choice" method="post" action="<?php echo $self;?>">
<table class="wide">
<tr>
	<th style="width:20%;">サイトマップファイル名</th>
	<td>
    	<?php echo @$domain?>sitemap.xml<br />
    	※PC版、モバイル版を含む複数ファイルのインデックスを全て含みます。<br />
        ※手動で送付する場合は、上記ファイル名を１つだけ指定してください。
	</td>
</tr>
<tr>
	<th>サイトマップ送付先</th>
	<td>
		手動で送付する場合には、チェックしないでください。その際も、サイトマップ作成だけは必ず実施します。<br />
        Yahoo!については、「Yahoo!内・サイトエクスプローラー」より管理サイト、フィードを手動で追加してください。<br />
    	<input type="hidden" name="google_on" value="0" />
		&nbsp;<input type="checkbox" name="google_on" value="1" <?php if ($google_on=="1") { echo (' checked="checked"');} ?> />&nbsp;Google<br />
<!--    	<input type="hidden" name="yahoo_on" value="0" />
		&nbsp;<input type="checkbox" name="yahoo_on" value="1" <?php // if ($yahoo_on=="1") { echo (' checked="checked"');} ?> />&nbsp;Yahoo!<br /> -->
	</td>
</tr>
<?php
if ($pgCnt>0) {
	echo '<tr>';
	echo '	<th>明細ページ</th>';
	echo '	<td>';
	echo '		<table class="detail">';
	echo '			<tr>';
	echo '			<th style="width:8%;">サイト</th><th style="width:8%;">ページ</th><th>タイトル</th><th style="width:15%;">作成条件</th>';
	echo '			</tr>';
	for ($i = 1; $i <= $pgCnt; $i++) {
		echo '<tr>';
		echo '<td style="text-align:right;">'.$s_code_m[$i].'</td>';
		echo '<td style="text-align:right;">'.$pg_seq_m[$i].'</td>';
		echo '<td>'.$pg_title_m[$i].'</td>';
		echo '<td><span class="pg_type_r"><input type="submit" name="btn" value="設定" border="0" onclick="JavaScript:editor('."'".$i."'".');"/></span>'.$umu_disp[$pg_flg_m[$i]].'</td>';
		echo '</tr>';
	}
	echo '		</table>';
	echo '	</td>';
	echo '</tr>';
}
?>
</table>
<div style="margin:0 200px;float:left;">
<input type="submit" name="btn" value="作成・送信実行準備" border="0" />
</div>
<input type="hidden" name="gamen" value="<?php echo $gamen; ?>" />
<input type="hidden" name="p_num" id="p_num" value="" />			<?php // Javascriptより設定ボタンの行番号セット ?>
</form>
<?php
break;
// ######################################################################
// --  作成・送付実行準備
// ######################################################################
case 'scr_prepare':
$gamen = 2;
?>
<form method="post" action="<?php echo $self;?>">
<table class="wide">
<tr>
	<th style="width:20%;">サイトマップファイル名</th>
	<td>
    	<?php echo @$domain?>sitemap.xml<br />
	</td>
</tr>
<tr>
	<th>サイトマップ送付先</th>
	<td>
<?php
	if ($google_on=='1') {
		echo 'Google';
	}
	if ($google_on=='0') { echo '送付しない（作成のみ）'; } 
?>
	</td>
</tr>
<tr>
	<th class="w2">処理状態</th>
	<td>
<?php
		if ($err==0) {
			echo 'サブウィンドゥからの指示待ち';
		} else {
			echo '<span style="color:red;">'.$msg.'</span>';
		}
?>
	</td>
</tr>
</table>
<table class="wide2">
	<tr>
		<td class="w3"><input type="submit" name="btn" value="戻る" border="0" /></td>
		<td class="w3"></td>
		<td class="w3"></td>
		<td></td>
	</tr>
</table>
<input type="hidden" name="gamen" value="<?php echo $gamen; ?>" />
<input type="hidden" name="google_on" value="<?php echo $google_on; ?>" />
</form>
<?php
break;
// ######################################################################
// --  作成・送付実行
// ######################################################################
case 'scr_exec':
$gamen = 3;
//--- 情報読込 ---
$sql = 'SELECT gr_max,gr_cnt,kensu_all,kensu_rui,start_time FROM sitemap_kanri_t WHERE sm_key=1';
$stt=$db->prepare($sql);
$stt->execute();
if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
	$gr_max  = $cols['gr_max'];
	$gr_cnt  = $cols['gr_cnt'];
	$kensu_all = $cols['kensu_all'];
	$kensu_rui = $cols['kensu_rui'];
	$start_time= $cols['start_time'];
}
$sql = 'SELECT s_code,pg_seq,p_code,mobile_flg,sc_where,ken_set,ken_max FROM sitemap_kanri_t2 WHERE sm_key=1 AND gr_cnt=?';
$stt=$db->prepare($sql);
$stt->bindParam(1, $gr_cnt);
$stt->execute();
if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
	$s_code    = $cols['s_code'];
	$pg_seq    = $cols['pg_seq'];
	$p_code    = $cols['p_code'];
	$mobile_flg= $cols['mobile_flg'];
	$sc_where  = $cols['sc_where'];
	$ken_set   = $cols['ken_set'];
	$ken_max   = $cols['ken_max'];
	$meisai_ari= 1;
} else {
	$meisai_ari= 0;
}
//--- 初期セット ---
if ($gr_cnt==1 and $ken_set==0) {
	//--- 処理フラグ・開始時刻更新（最初だけ） ---
	$syori = 1;
	$start_time = time();
	$sql = 'UPDATE sitemap_kanri_t SET syori=?,start_time=? WHERE sm_key=1';
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $syori);
	$stt->bindParam(2, $start_time);
	$stt->execute();
}
// ### ファイル準備 ###
$system_folder = trim($system_folder,'/');	// $system_folderは、iniファイルより
if ($system_folder<>'') {
	$sys_cnt = substr_count($system_folder, '/')+1;
} else {
	$sys_cnt = 0;
}
if ($sys_cnt>0) {							// $folder : システムフォルダから見たドメインルート相対パス
	$folder = '';
	for ($j = 1; $j <= $sys_cnt; $j++) {
		$folder .= '../';
	}
} else {
	$folder = './';
}
$ent_date = date(Y)."-".date(m)."-".date(d);	// 今日の日付セット
$buf2 = '    <mobile:mobile/>'."\r\n";
$buf3 = '</url>'."\r\n";
// ### 明細ページ ###
$kCnt = 0; $k1Cnt = 0; $k2Cnt = 0;
if ($meisai_ari==1) {
	// --- LIMIT & OFFSET ---
	if ($ken_max>$max_count) {
		$limit_word = ' LIMIT ';
		if (($ken_max-$ken_set)>$max_count) {
			$limit_word .= $max_count;
		} else {
			$limit_word .= $ken_max-$ken_set;
		}
		$limit_word .= ' OFFSET '.$ken_set;
	} else {
		$limit_word  = '';
	}
	// --- グループ内処理カウンタ ---
	if ($ken_set==0) {
		$gr_seq = '001';
	} else {
		$gr_seq = sprintf("%03d",ceil($ken_set/$max_count)+1);
	}
	if ($mobile_flg==0) {
		$name_end  = '';
		$name_end2 = '';
	} else {
		$name_end  = '_m';
		$name_end2 = 'm';
	}
	//--- ページフォルダ取得 ---
	$stt=$db->prepare("SELECT pg_folder FROM page_m WHERE s_code=? AND pg_seq=?");
	$stt->bindParam(1, $s_code);
	$stt->bindParam(2, $pg_seq);
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$pg_folder = $cols['pg_folder'];
		if ($pg_folder<>'') { $pg_folder = $pg_folder.'/'; }
	} else {
		$pg_folder = '';
	}
	// --- ヘッダ部出力 ---
	$fp = fopen($folder.'sitemap'.$name_end.$gr_cnt.'_'.$gr_seq.'.xml', "w");
	fwrite($fp, '<?xml version="1.0" encoding="UTF-8"?>'."\r\n");
	if ($mobile_flg==0) {
		fwrite($fp, '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'."\r\n");
	} else {
		fwrite($fp, '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"'."\r\n");
		fwrite($fp, ' xmlns:mobile="http://www.google.com/schemas/sitemap-mobile/1.0">'."\r\n");
	}
	// --- 記事コード読込 ---
	$sql = "SELECT k_code FROM kiji_t WHERE p_code=? ";
	if ($sc_where<>'') { $sql .= 'AND '.$sc_where; }
	$sql .= $limit_word;
	$stt=$db->prepare($sql);
	$stt->bindParam(1, $p_code);
	$stt->execute();
	while (($cols = $stt->fetch(PDO::FETCH_ASSOC)) and $kCnt<$max_count) { 
		++$kCnt;
		$k_code    = $cols['k_code'];
		$buf1  = '<url>'."\r\n";
		$buf1 .= '    <loc>'.$domain.$pg_folder.$k_code.'.html'.'</loc>'."\r\n";
		$buf1 .= '    <lastmod>'.$ent_date.'</lastmod>'."\r\n";
		if ($mobile_flg==1) {
			$buf1 .= $buf2;
		}
		$buf1 .= $buf3;
		fwrite($fp,$buf1);
		if (($kCnt%2000)==0) {	// サブウィンドウ表示の為、2000件ごとに更新
			$stt2=$db->prepare('UPDATE sitemap_kanri_t SET kensu_rui=? WHERE sm_key=1');
			$kensu_rui2 = $kensu_rui + $kCnt;	// 元の$kensu_ruiの値は変えない
			$stt2->bindParam(1, $kensu_rui2);
			$stt2->execute();
			$stt2=$db->prepare('UPDATE sitemap_kanri_t2 SET ken_set=? WHERE sm_key=1 AND gr_cnt=?');
			$ken_set2 = $ken_set + $kCnt;		// 元の$ken_setの値は変えない
			$stt2->bindParam(1, $ken_set2);
			$stt2->bindParam(2, $gr_cnt);
			$stt2->execute();
		}
	}
	fwrite($fp, '</urlset>'."\r\n");
	fclose($fp);
} else {
	// -- 一般ページ(PC) --
	$sql = "SELECT pg_folder,pg_file,mobile_flg FROM site_m a,page_m b WHERE a.s_code=b.s_code AND mobile_flg<>'1' AND p_detail<>'1' ORDER BY b.s_code,pg_seq";
	$stt=$db->prepare($sql);
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$k1Cnt;
		if ($k1Cnt==1) {
			$fp = fopen($folder.'sitemap'.$gr_cnt.'.xml', "w");
			fwrite($fp, '<?xml version="1.0" encoding="UTF-8"?>'."\r\n");
			fwrite($fp, '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'."\r\n");
		}
		$pg_folder  = $cols['pg_folder']; if ($pg_folder<>'') { $pg_folder = $pg_folder.'/'; }
		$pg_file    = $cols['pg_file'];
		$buf1  = '<url>'."\r\n";
		$buf1 .= '    <loc>'.$domain.$pg_folder.$pg_file.'</loc>'."\r\n";
		$buf1 .= '    <lastmod>'.$ent_date.'</lastmod>'."\r\n";
		$buf1 .= $buf3;
		fwrite($fp,$buf1);
	}
	if ($k1Cnt>0) {
		fwrite($fp, '</urlset>'."\r\n");
		fclose($fp);
	}
	// -- 一般ページ(モバイル) --
	$sql = "SELECT pg_folder,pg_file,mobile_flg FROM site_m a,page_m b WHERE a.s_code=b.s_code AND mobile_flg='1' AND p_detail<>'1' ORDER BY b.s_code,pg_seq";
	$stt=$db->prepare($sql);
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$k2Cnt;
		if ($k2Cnt==1) {
			$fp = fopen($folder.'sitemap_m'.($gr_cnt+1).'.xml', "w");
			fwrite($fp, '<?xml version="1.0" encoding="UTF-8"?>'."\r\n");
			fwrite($fp, '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"'."\r\n");
			fwrite($fp, ' xmlns:mobile="http://www.google.com/schemas/sitemap-mobile/1.0">'."\r\n");
		}
		$pg_folder  = $cols['pg_folder']; if ($pg_folder<>'') { $pg_folder = $pg_folder.'/'; }
		$pg_file    = $cols['pg_file'];
		$buf1  = '<url>'."\r\n";
		$buf1 .= '    <loc>'.$domain.$pg_folder.$pg_file.'</loc>'."\r\n";
		$buf1 .= '    <lastmod>'.$ent_date.'</lastmod>'."\r\n";
		$buf1 .= $buf2.$buf3;
		fwrite($fp,$buf1);
	}
	if ($k2Cnt>0) {
		fwrite($fp, '</urlset>'."\r\n");
		fclose($fp);
	}
}
//--- サイトマップ作成管理テーブル更新 ---
$sql = 'UPDATE sitemap_kanri_t SET syori=?,kensu_rui=? WHERE sm_key=1';
$stt=$db->prepare($sql);
if ($gr_cnt==$gr_max) {
	$syori = 9; // ここで終わり
} else {
	if (($ken_set+$kCnt+$k1Cnt+$k2Cnt)>=$ken_max) {
		$syori = 2;	// 次のファイル
	} else {
		$syori = 0; // 継続
	}
}
$kensu_rui += $kCnt+$k1Cnt+$k2Cnt;
$stt->bindParam(1, $syori);
$stt->bindParam(2, $kensu_rui);
$stt->execute();
// ### サイトマップインデックス作成 ###
if ($gr_cnt==$gr_max) {
	$sitemap  = '<?xml version="1.0" encoding="UTF-8"?>'."\r\n";
	$sitemap .= '<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'."\r\n";
	//--- 明細ファイル ---
	$sql = 'SELECT gr_cnt,mobile_flg,ken_max FROM sitemap_kanri_t2 WHERE sm_key=1';
	$stt=$db->prepare($sql);
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$gr_cnt2    = $cols['gr_cnt'];
		$mobile_flg2= $cols['mobile_flg'];
		$ken_max2   = $cols['ken_max'];
		if ($mobile_flg2==0) {
			$name_end  = '';
		} else {
			$name_end  = '_m';
		}
		for ($i = 1; $i <= ceil($ken_max2/$max_count); $i++) {
			$sitemap .= '   <sitemap>'."\r\n";
			$sitemap .= '      <loc>'.$domain.'sitemap'.$name_end.$gr_cnt2.'_'.sprintf("%03d",$i).'.xml</loc>'."\r\n";
			$sitemap .= '      <lastmod>'.$ent_date.'</lastmod>'."\r\n";
			$sitemap .= '   </sitemap>'."\r\n";
		}
	}
	//--- 明細ファイル ---
	if ($k1Cnt>0) {
		$sitemap .= '   <sitemap>'."\r\n";
		$sitemap .= '      <loc>'.$domain.'sitemap'.$gr_max.'.xml</loc>'."\r\n";
		$sitemap .= '      <lastmod>'.$ent_date.'</lastmod>'."\r\n";
		$sitemap .= '   </sitemap>'."\r\n";
	}
	if ($k2Cnt>0) {
		$sitemap .= '   <sitemap>'."\r\n";
		$sitemap .= '      <loc>'.$domain.'sitemap_m'.($gr_max+1).'.xml</loc>'."\r\n";
		$sitemap .= '      <lastmod>'.$ent_date.'</lastmod>'."\r\n";
		$sitemap .= '   </sitemap>'."\r\n";
	}
	$sitemap .= '</sitemapindex>'."\r\n";
	$fp = fopen($folder.'sitemap.xml', "w");
	fwrite($fp, $sitemap);
	fclose($fp);
	// ### robots.txt作成 ###
	$robots = 'Sitemap: '.$domain.'sitemap.xml';
	$fp = fopen($folder.'robots.txt', "w");
	fwrite($fp, $robots."\r\n");
	fclose($fp);
}
?>
<form method="post" action="<?php echo $self;?>">
<table class="wide">
<tr>
	<th style="width:20%;">サイトマップファイル名</th>
	<td>
    	<?php echo @$domain?>sitemap.xml<br />
    	※PC版、モバイル版を含む複数ファイルのインデックスを全て含みます。<br />
        ※手動で送付する場合は、上記ファイル名を１つだけ指定してください。
	</td>
</tr>
<tr>
	<th>サイトマップ送付先</th>
	<td>
<?php
	if ($google_on=='1') {
		echo 'Google';
	}
	if ($google_on=='0') { echo '送付しない（作成のみ）'; } 
?>
	</td>
</tr>
<tr>
	<th>処理結果</th>
	<td>
<?php
// -- 作成ファイル名表示 --
echo '<span style="color:blue;">';
for ($i = 1; $i <= $gr_cnt; $i++) {
	if ($i<$gr_cnt) {
		$sql = 'SELECT mobile_flg,ken_max FROM sitemap_kanri_t2 WHERE sm_key=1 AND gr_cnt=?';
		$stt=$db->prepare($sql);
		$stt->bindParam(1,$i);
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
			$mobile_flg2 = $cols['mobile_flg'];
			$ken_max2  = $cols['ken_max'];
		} else {
			$mobile_flg2 = 0;
			$ken_max2  = 0;
		}
		if ($mobile_flg2=='1') {
			$name_end2 = '_m';
		} else {
			$name_end2 = '';
		}
		if ($ken_max2>0) {
			for ($j = 1; $j <= ceil($ken_max2/$max_count); $j++) {
				echo $domain.'sitemap'.$name_end2.$i.'_'.sprintf("%03d",$j).'.xml を作成しました。<br />';
			}
		}
	} else {
		if ($i<$gr_max) {
			for ($j = 1; $j <= ceil($ken_set/$max_count); $j++) {
				echo $domain.'sitemap'.$name_end.$gr_cnt.'_'.sprintf("%03d",$j).'.xml を作成しました。<br />';
			}
		} else {
			if ($k1Cnt>0) {
				echo $domain.'sitemap'.$gr_max.'.xml を作成しました。<br />';
			}
			if ($k2Cnt>0) {
				echo $domain.'sitemap_m'.($gr_max+1).'.xml を作成しました。<br />';
			}
		}
	}
}
if ($gr_cnt==$gr_max) {
	echo $domain.'sitemap.xml を作成しました。<br />';
	echo $domain.'robots.txt を作成しました。<br />';
}
echo '</span>';
// -- サイトマップ送信 --
if ($gr_cnt==$gr_max) {
	if ($google_on=='1') {
		$file0 = $domain.'sitemap.xml';
		$file = $file0;
		$file = str_replace(':','%3A',$file);
		$file = str_replace('/','%2F',$file);
		echo '<br />';
		system('wget -O '.$folder.'google_status.html http://www.google.com/webmasters/tools/ping?sitemap='.$file);
		echo '<span style="color:blue;">Googleに '.$file0.' を送信しました。</span>（';
		echo '<a href="'.$folder.'google_status.html" target="_blank">ステータスはこちら</a>）<br />';
	}
	echo '<br />';
	echo $domain.'sitemap.xml の内容<br />';
	echo str_repeat('-', 70).'<br />';
	echo nl2br(str_replace(' ','&nbsp;',htmlspecialchars($sitemap))).'<br />';
	echo $domain.'robots.txt の内容<br />';
	echo str_repeat('-', 70).'<br />';
	echo nl2br(htmlspecialchars($robots)).'<br /><br />';
	echo '<span style="color:red;font-size:x-small;">※Yahoo!については「Yahoo!内・サイトエクスプローラー」へログイン後、管理サイト・フィードを手動で追加してください。</span>';
}
?>
	</td>
</tr>
</table>
<div style="margin:0 200px;float:left;">
<input type="submit" name="btn" value="戻る" border="0" />
</div>
<input type="hidden" name="google_on" value="<?php echo $google_on; ?>" />
</form>
<?php
break;
}	// end of swhitch($goto) {
// ######################################################################
// --  画面ボトム部
// ######################################################################
include('bottom.txt');
?>