sub run {
	my ( $type, $cwd ) = @_ ;
	
	
	my $actual_cwd = $fckperl_config{ 'UserFilesPath' } . "/" . $type . $cwd ;
	my $filename = $_GET{ 'FileName' } ;
	
	my $err_no = _run( $actual_cwd, $filename ) ;
	
	print 'Content-Type: application/xml; charset=utf-8' . "\n" ;
	print "\n" ;
	print '<?xml version="1.0" encoding="utf-8" ?>' . "\n" ;
	print '<Connector command="DeleteFile" resourceType="' . XMLEncode( $type ) . '">' . "\n" ;
	print '    <CurrentFolder path="' . XMLEncode( $cwd ) . '" url="' . XMLEncode( url( $actual_cwd ) ) . '" />' . "\n" ;
	print '    <Error number="' . $err_no . '" />' . "\n" ;
	print "</Connector>\n" ;
}


sub _run {
	my ( $actual_cwd, $filename ) = @_ ;
	
	
	my $thumb = $actual_cwd . ".thumb_" . $filename ;
	
	if ( -f path( $thumb ) ) {
		return 110 if ( ! unlink( path( $thumb ) ) ) ;
	}
	
	return ( unlink( path( $actual_cwd . $filename ) ) ) ? 0 : 110;
}


1;
