<?php
// ######################################################################
// --						記事クリエイター
$title=				 'フリーパーツ作成・プレビュー';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'freeparts_def2.php';	// このプログラム
$menu_num = 1;
$sessin_off = 1; include('kiji_common.php');
// ----------------------------------------------------------------------
?>
<script type="text/javascript">
//<![CDATA[
window.name="freeparts_def2";
//]]>
</script>
<?php
// ######################################################################
// --  読込処理 (freeparts_m)
// ######################################################################
$stt=$db->prepare('SELECT source,style1,style2,id_class_flg,id_class_name FROM freeparts_m WHERE p_code = ?');
$stt->bindParam(1, $p_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$source = $cols['source'];
		$style1 = $cols['style1'];
		$style2 = $cols['style2'];
		$id_class_flg = $cols['id_class_flg'];
		$id_class_name = $cols['id_class_name'];
	}
} catch (PDOException $e) {
	echo '[freeparts_m]読込時　';
	echo $e->getMessage();
	exit();
}
//##### css表示 #####
$style1 = str_replace('/*(1)',' ',$style1);	// 左寄せ
$style1 = str_replace('(1)*/',' ',$style1);
$style1 = str_replace('[$$$counter]','1',$style1);
echo '<style type="text/css">'."\n";
echo '<!--'."\n";
echo htmlspecialchars_decode($style1);	// 外枠の定義
echo htmlspecialchars_decode($style2);	// 内枠の定義
echo '-->'."\n";
echo '</style>'."\n";
?>
</head>
<body>
<div>
<form method="post" action="" target="" onSubmit="window.close()" >
<span class="btnleft">
<input type="submit" name="btn" value="閉じる" border="0" />
</span>
</form>
<hr />
<?php
// ######################################################################
// --  本体表示
// ######################################################################
$Cnt = 1;
include('./freeparts_disp.php');
?>
</div>
</body>
</html>