<?php
// ######################################################################
// --						記事クリエイター
$title=						   'ログイン';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'login.php';						//<----------- このプログラム
$kanri = 'admin';							//管理用ユーザ名
$menu_num = 0;
include('kiji_common.php');
if ($link=='') { $link = 'parts_define.php'; }
// ######################################################################
// --   DBオープン
// ######################################################################
$dsn2  = 'sqlite:'.$db_path.'login.db';
try {
	$db2 = new PDO($dsn2);
} catch (PDOException $e) {
	echo 'PDO接続時<br />';
	echo $e->getMessage();
	exit();
}
$db2->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION);
//-- レコード存在チェック
if ($btn<>'登録') {
	$stt=$db2->prepare('SELECT count(username) AS count_user FROM login_m WHERE username<>?');
	$stt->bindParam(1, $kanri);
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
			$Cnt = $cols['count_user'];
			if ($Cnt==0) { $btn = 'new'; }
		} else {
			echo 'ログインマスタcount(username)読込時<br />';
			echo $e->getMessage();
			exit();
		}
	} catch (PDOException $e) {
		echo 'ログインマスタ読込時<br />';
		echo $e->getMessage();
		exit();
	}
}
// ##### 表示画面分岐指示 #####
$err = 0;
switch ($btn) {
	case 'ログイン':
	case 'ユーザ名・パスワード変更':
		$stt=$db2->prepare('SELECT password FROM login_m WHERE username=?');
		$stt->bindParam(1, $username);
		try {
			$stt->execute();
			if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
				$pass = $cols['password'];
				if (sha1($password)==$pass) {
					$invalid = 0;					// ログイン成功
				} else {
					$invalid = 2;					// 存在&&パスワード不一致
				}
			} else {
				$invalid = 1;						// ユーザ名なし
			}
		} catch (PDOException $e) {
			echo 'ログインマスタ読込時<br />';
			echo $e->getMessage();
			exit();
		}
		// ##### 画面遷移 or エラー表示 #####
		if ($invalid==0) {
			if ($btn=='ログイン') {
				session_set_cookie_params(0, $system_folder);
				session_start();
				$_SESSION['username'] = $username;
				$_SESSION['password'] = $pass;
				header('Location:'.$domain.ltrim($system_folder,'/').$link);
				exit();
			} else {
				$stt=$db2->prepare('DELETE FROM login_m WHERE username=?');
				$stt->bindParam(1, $username);
				try {
					$stt->execute();
				} catch (PDOException $e) {
					echo 'ログインマスタ・レコード削除時<br />';
					echo $e->getMessage();
					exit();
				}
				$goto = 'scr_new';
			}
		} else {
			$goto = 'scr_login';
		}
		break;
	case '登録':
		$username = trim($username);
		$password = trim($password);
		$password2 = trim($password2);
		$err = 0;
		if ($username=='' or $password=='' or $password2=='') {
			$err = 1;
		} else {
			if (ereg('[^0-9a-zA-Z]',$username) or ereg('[^0-9a-zA-Z]',$password) or ereg('[^0-9a-zA-Z]',$password2)) {
				$err = 2;
			} else {
				if ($password<>$password2) {
					$err = 3;
				} else {
					if (strlen($username)<4 or strlen($password)<4 or strlen($password2)<4) {
						$err = 4;
					}
				}
			}
		}
		if ($err==0) {
			$stt=$db2->prepare('INSERT INTO login_m (username,password) VALUES (?,?)');
			$stt->bindParam(1, $username);
			$stt->bindParam(2, sha1($password));
			$db2->beginTransaction();
			try {
				$stt->execute();
				$db2->commit();
			} catch (PDOException $e) {
				echo '[ログインマスタ]登録時<br />';
				echo $e->getMessage();
				$db2->rollback();
				exit();
			}
			$invalid = 4;
			$goto = 'scr_login';
		} else {
			$goto = 'scr_new';
		}
		break;
	case 'new':
		$goto = 'scr_new';
		break;
	case 'logout':
		session_start();
		session_destroy();
		$invalid = 3;
		$goto = 'scr_login';
		break;
	default:
		$goto = 'scr_login';
		break;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Language" content="ja" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="author" content="Ompookan Inc." />
<title>ログイン</title>
<link rel="stylesheet" type="text/css" href="kiji.css" media="all" />
<link rel="stylesheet" href="js_color_picker_v2.css" media="screen" />
<script type="text/javascript" src="color_functions.js"></script>
<script type="text/javascript" src="js_color_picker_v2.js"></script>
<style type="text/css">
<!--
div.login_box {
	width: 500px;
	margin: 20px 135px;
	padding: 20px 50px 140px 50px;
	background-image:url(images/login.gif);
	background-repeat:no-repeat;
}
table.login {
	width: 400px;
	float: left;
	border-collapse: collapse;
}
table.login th {
	width: 170px;
	padding: 5px;
	text-align: right;
	color: #FFF;
/*	border:solid 1px #ddd; */
}
table.login td {
	width: 230px;
	padding: 5px;
	text-align: left;
	line-height: 2em;
/*	border:solid 1px #ddd; */
}
table.login td.text input {
	width: 120px;
	border: solid 2px #888888;
}
-->
</style>
<?php
// ### トップメニュー定義 ###
include('topmenu.txt');
?>
</head>
<body>
<?php
// ### 共通メニュー ###
include('head.txt');
//
?>
<div class="login_box">
<?php
switch ($goto) {
// ######################################################################
// --  ログイン
// ######################################################################
case 'scr_login':
$gamen = 1;
switch ($invalid) {
	case 1:
	case 2:
		$msg = '*** ユーザ名またはパスワードが違います ***';$cl = 'red';
		break;
	case 3:
		$msg = '*** ログアウトしました ***';$cl = 'green';
		break;
	case 4:
		$msg = '新規登録しました。ログインしてください。';$cl = 'green';
		break;
	default:
		$msg = "　";
		break;
}
?>
<form method="post" action="<?php echo $self?>">
<table class="login">
<tr>
	<td colspan="2" style="color:<?php echo @$cl?>">
	<?php echo @$msg?>
	</td>
</tr>
<tr>
	<th>ユーザ名 ：</th>
	<td class="text">
	<input id="username" name="username" size="20" value="<?php echo @$username?>" class="mode2" <?php echo @$kage?>/>
	</td>
</tr>
<tr>
	<th>パスワード ：</th>
	<td class="text">
	<input type="password" id="password" name="password" size="20" class="mode2" <?php echo @$kage?> />
	</td>
</tr>
<tr>
	<th></th>
	<td>
	<input type="submit" name="btn" value="ログイン" border="0" />
	<br /><br /><br /><br />
	<input type="submit" name="btn" value="ユーザ名・パスワード変更" border="0" />
	</td>
</tr>
</table>
<input type="hidden" name="link" value="<?php echo $link; ?>" />
</form>
<?php
break;
// ######################################################################
// --  新規登録
// ######################################################################
case 'scr_new':
$gamen = 2;
switch ($err) {
	case 1:
		$msg = '*** ユーザ名またはパスワードが未入力です ***';$cl = 'red';
		break;
	case 2:
		$msg = '*** 英数字のみです ***';$cl = 'red';
		break;
	case 3:
		$msg = '*** 二つのパスワードが一致しません ***';$cl = 'red';
		break;
	case 4:
		$msg = '*** それぞれ４文字以上お願いします ***';$cl = 'red';
		break;
	default:
		$msg = "ユーザ名、パスワードを新規に登録してください。";$cl = 'green';
		break;
}
?>
<form method="post" action="<?php echo $self?>">
<table class="login">
<tr>
	<td colspan="2" style="color:<?php echo @$cl?>">
	<?php echo @$msg?>
	</td>
</tr>
<tr>
	<th>ユーザ名 ：</th>
	<td class="text">
	<input id="username" name="username" size="20" value="<?php echo @$username?>" class="mode2" <?php echo @$kage?>/>
	</td>
</tr>
<tr>
	<th>パスワード ：</th>
	<td class="text">
	<input type="password" id="password" name="password" size="20" class="mode2" <?php echo @$kage?> />
	</td>
</tr>
<tr>
	<th>パスワード（もう一度） ：</th>
	<td class="text">
	<input type="password" id="password2" name="password2" size="20" class="mode2" <?php echo @$kage?> />
	</td>
</tr>
<tr>
	<th></th>
	<td>
	<input type="submit" name="btn" value="登録" border="0" />
	</td>
</tr>
</table>
</form>
<?php
break;
}	//-- end of switch
?>
</div>
<?php
include('bottom.txt');
?>
