<?php
// ######################################################################
// --    共通関数
// ######################################################################
// --  ラベル表示
function label($lb) {
?>
	<table class="label">
	<tr>
		<th class="w2"><?php echo @$lb?></th>
		<td></td>
	</tr>
    </table>
<?php
}
// --  エラー表示
function err_disp($msg) {
	global $err;
?>
	<table class="err">
	<tr>
		<th>ご注意</th>
		<td><?php echo @$msg?></td>
	</tr>
    </table>
    <br />
<?php
}
// --  処理結果表示
function result_disp($r_msg) {
	global $err;
?>
	<table class="result">
	<tr>
		<th>処理結果</th>
		<td><?php echo @$r_msg?></td>
	</tr>
	</table>
    <br />
<?php
}
// ######################################################################
// --    iniファイル読込
// ######################################################################
if (! ($fp = fopen ( 'kiji_creator.ini', 'r' ))) {
	die('kiji_creator.ini ファイルが開けません。');
}
while (! feof ($fp)) {
	$load = fgets ($fp, 4096) ;
	$key = mb_substr($load,0,mb_strpos($load,'='));
	$key = str_replace(' ','',$key);
	$key = str_replace('　','',$key);
	$key = trim($key);
	$data = mb_substr($load,mb_strpos($load,'=')+1);
	$data = str_replace(' ','',$data);
	$data = str_replace('　','',$data);
	$data = trim($data);
	$ini[$key] = $data;	// 連想配列
}
fclose ($fp);
$domain			= $ini['domain'];				//<----------- ドメイン名
$system_folder	= $ini['system_folder'];		//<----------- フォルダ名
$db_path		= $ini['db_path'];				//<----------- ＤＢ格納フォルダ（相対パス）
$db_path_abs	= $ini['db_path_abs'];			//<----------- ＤＢ格納フォルダ（絶対パス）
$download_path	= $ini['download_path'];		//<----------- ダウンロードファイル格納フォルダ
$upload_path	= $ini['upload_path'];			//<----------- アップロードファイル格納フォルダ（ワーク）
$backup_path	= $ini['backup_path'];			//<----------- ＤＢバックアップファイル格納フォルダ（相対パス）
$font_size		= $ini['font_size'];			//<----------- フォントサイズ
$line_height	= $ini['line_height'];			//<----------- 行間高さ
$title_num		= $ini['title_num'];			//<----------- 明細頁の際にtitleに表示する項目番号
$keywords_num	= $ini['keywords_num'];			//<----------- 明細頁の際にkeywordsに表示する項目番号
$shop_id		= $ini['shop_id'];				//<----------- ショップＩＤ（もしもドロップシッピング等）
$zaiko_check	= $ini['zaiko_check'];			//<----------- 在庫チェッカー画面表示スイッチ（1:on）
$check_kensu	= $ini['check_kensu'];			//<----------- 在庫チェッカー小分け処理件数
$check_blank	= $ini['check_blank'];			//<----------- 在庫チェッカー小分け処理時間間隔（秒）
$protect_item	= $ini['protect_item'];			//<----------- 記事アップロード時、保護する項目の設定
$dti_path		= '/dti_images/';				//<----------- 画像格納フォルダ　■■■『妖艶Pro』限定■■■

$cookie_timeout = '1800';						//<----------- クッキータイムアウト時間
$images			= 'images/';					//<----------- システムイメージ格納フォルダ
$userimages		= 'userfiles/Image/';			//<----------- ユーザーイメージ格納フォルダ
$fck_path		= 'fckeditor/';					//<----------- FCKeditorパス
$self_full		= $domain.$system_folder.$self;	//<----------- フルＵＲＬ
$dsn			= 'sqlite:'.$db_path.'kiji.db';	//<----------- ＤＢ（相対）
$dsn_abs		= 'sqlite:'.$db_path_abs.'kiji.db';	//<----------- ＤＢ（絶対、配信先にて使用）
$dsnlogin		= 'sqlite:'.$db_path.'login.db';//<----------- ＤＢ（login相対）
$kage = 'onfocus="this.style.backgroundColor='."'#D7F5FF'".'" onblur="this.style.backgroundColor='."'#ffffff'".'"';
$waku_35r		= ' style="width: 35px; border-style:solid; border-width:2px; border-color:#888; text-align: right;" ';
$waku_60r		= ' style="width: 60px; border-style:solid; border-width:2px; border-color:#888; text-align: right;" ';
$waku_80		= ' style="width: 80px; border-style:solid; border-width:2px; border-color:#888;" ';
$waku_140		= ' style="width: 140px; border-style:solid; border-width:2px; border-color:#888;" ';
$waku_300		= ' style="width: 300px; border-style:solid; border-width:2px; border-color:#888;" ';
$waku_600		= ' style="width: 600px; border-style:solid; border-width:2px; border-color:#888;" ';
$waku_98p		= ' style="width: 98%; border-style:solid; border-width:2px; border-color:#888;" ';
$waku_folder	= ' style="width: 200px; border-style:solid; border-width:2px; border-color:#888; background:url(images/folder_back.gif) no-repeat right top;" ';
$waku_file		= ' style="width: 140px; border-style:solid; border-width:2px; border-color:#888; background:url(images/file_back.gif) no-repeat right top;" ';
$body_color = '#E6E5D3';	// 色指定無しの時の色
// ######################################################################
// --    入力内容を取得する
// ######################################################################
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    foreach($_POST as $key => $value){
		$$key = $value;
		if (is_array($$key)) {
	        if (get_magic_quotes_gpc()) {
	            $$key = array_map(stripslashes, $$key);
	        }
	        $$key = array_map(htmlspecialchars, $$key);
	    } else {
	        if (get_magic_quotes_gpc()) {
	            $value = stripslashes($value);
	        }
	        $value = htmlspecialchars($value, ENT_QUOTES);
			$$key = $value;
	    }
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    foreach($_GET as $key => $value){
		$$key = $value;
		if (is_array($$key)) {
	        if (get_magic_quotes_gpc()) {
	            $$key = array_map(stripslashes, $$key);
	        }
	        $$key = array_map(myhtmlspecialchars, $$key);
	    } else {
	        if (get_magic_quotes_gpc()) {
	            $value = stripslashes($value);
	        }
	        $value = htmlspecialchars($value, ENT_QUOTES);
			$$key = $value;
	    }
    }
}
if ($self<>'login.php') {
	// ######################################################################
	// --   DBオープン
	// ######################################################################
	try {
		$db = new PDO($dsn);
	} catch (PDOException $e) {
		echo 'PDO接続時<br />';
		echo $e->getMessage();
		exit();
	}
	$db->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION);
	try {
		$db2 = new PDO($dsnlogin);
	} catch (PDOException $e) {
		echo 'PDO接続時(login)<br />';
		echo $e->getMessage();
		exit();
	}
	$db2->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION);
	// ######################################################################
	// --   セッションチェック
	// ######################################################################
	if ($sessin_off<>1) {
		$invalid = 9;									// ユーザ名なし
		session_start();
		if (isset($_SESSION['username']) and isset($_SESSION['password'])) {
			$stt=$db2->prepare('SELECT password FROM login_m WHERE username=?');
			$username = $_SESSION['username'];
			$stt->bindParam(1, $username);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
					$pass = $cols['password'];
					if ($_SESSION['password']==$pass) {
						$invalid = 0;					// ログイン成功
					} else {
						$invalid = 2;					// 存在&&パスワード不一致
					}
				} else {
					$invalid = 1;						// ユーザ名なし
				}
			} catch (PDOException $e) {
				echo 'ログインマスタ読込時<br />';
				echo $e->getMessage();
				exit();
			}
		}
		if ($invalid<>0) {
			header('Location:'.$domain.trim($system_folder,'/').'/login.php?link='.$self);
			exit();
		}
	}
?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
	<head>
	<meta http-equiv="Content-Language" content="ja" />
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta name="author" content="Ompookan Inc." />
<?php
	echo '<title>'.$title.'</title>'."\n";
?>
	<link rel="stylesheet" type="text/css" href="kiji.css" media="all" charset="utf-8" />
	<link rel="stylesheet" href="js_color_picker_v2.css" media="screen" />
	<script type="text/javascript" src="color_functions.js"></script>
	<script type="text/javascript" src="js_color_picker_v2.js"></script>
<?php
	include('topmenu.txt');
}
?>
