<?php
$buffer  = 'm_key_'.$m_code;	// 検索入力値
$buffer2 = 'm_key2_'.$m_code;	// pagerパラメータ用検索値コピー
$$buffer  = $buf;
$$buffer2 = $buf2;
// ################
// ### module_m ###
// ################
$sql = 'SELECT m_publish,m_source,p_code,d_seq,m_num,m_col,it_flg_day ,it_cond_st_day,it_cond_en_day,it_seq_day,it_asc_day,m_pager';
for ($i = 1; $i <= 25; $i++) { $sql .= ',it_flg'.$i; }
for ($i = 1; $i <= 25; $i++) { $sql .= ',it_cond_st'.$i; }
for ($i = 1; $i <= 25; $i++) { $sql .= ',it_cond_en'.$i; }
for ($i = 1; $i <= 25; $i++) { $sql .= ',it_seq'.$i; }
for ($i = 1; $i <= 25; $i++) { $sql .= ',it_asc'.$i; }
$sql .= ' from module_m WHERE m_code = ?';
$stt=$db->prepare($sql);
$stt->bindParam(1, $m_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$m_publish = $cols['m_publish'];
		$m_source = $cols['m_source'];
		$p_code = $cols['p_code'];
		$d_seq = $cols['d_seq'];
		$page_gyo = $cols['m_num'];
		$m_col = $cols['m_col'];
		$m_pager = $cols['m_pager'];
		// 入力日関連
		$it_flg_day = $cols['it_flg_day'];
		$it_cond_st_day = $cols['it_cond_st_day'];
		$it_cond_en_day = $cols['it_cond_en_day'];
		$it_seq_day = $cols['it_seq_day'];
		$it_asc_day = $cols['it_asc_day'];
		// 個別指定項目（MAX25項目）関連
		for ($i = 1; $i <= 25; $i++) {
			$it_flg[$i] = $cols['it_flg'.$i];
			$it_cond_st[$i] = $cols['it_cond_st'.$i];
			$it_cond_en[$i] = $cols['it_cond_en'.$i];
			$it_seq[$i] = $cols['it_seq'.$i];
			$it_asc[$i] = $cols['it_asc'.$i];
		}	
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
// ### module_m2（検索窓）###
$m_filler01 = '';
//if ($m_publish=='1') {	// 常に読み込まなければならない（2010.4.30)
	$stt=$db->prepare('SELECT m_title,m_title_iro,m_inq_width,m_inq_type,m_where,m_filler01,m_filler02,m_filler03 FROM module_m2 where m_code=?');
	$stt->bindParam(1, $m_code);
	try {
		$stt->execute();
		if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
			$m_title = $cols['m_title'];
			$m_title_iro = $cols['m_title_iro'];
			$m_inq_width = $cols['m_inq_width'];
			$m_inq_type = $cols['m_inq_type'];
			$m_where = $cols['m_where'];
			$m_filler01 = $cols['m_filler01'];
			$m_filler02 = $cols['m_filler02'];
			$m_filler03 = $cols['m_filler03'];
		}
	} catch (PDOException $e) {
		echo $e->getMessage();
		exit();
	}
//}
$Cnt2 = 'x';
if ($m_filler01=='' or $m_filler01==str_repeat(' ',25) or $m_filler01==str_repeat('0',25)) { $m_filler01 = str_repeat('1',25); }
$m_filler01 .= str_repeat('0',25);					// 補完
for ($i = 1; $i <= 25; $i++) {
	$it_flg2[$i] = mb_substr($m_filler01,$i-1,1);	// 検索対象=1
}
// ##### <hr />がある場合、最初と最後の<hr />を切れ目に（最大）三つに分割 #####
if ($m_source<>'') {
	$m_source = ' '.htmlspecialchars_decode($m_source);	// サーチ真偽判断し易くする為に、冒頭にスペース挿入（サーチ位置=0の場合考慮）
	$p01 = 0; $suu = 0;
	while ($p01>=0) {
		$p02 = mb_strpos($m_source,'<hr',$p01,'utf-8');
		if ($p02>0) {
			$p03 = mb_strpos($m_source,'/>',$p02,'utf-8');
			if ($p03!==false) {
				++$suu;
				$hr_st[$suu] = $p02;
				$hr_en[$suu] = $p03+2;
				if (($p03+2)<mb_strlen($m_source,'utf-8')) {
					$p01 = $p03+2;
				} else {
					$p01 = -999;
				}
			}
		} else {
			$p01 = -999;
		}
	}
}
if ($suu>0) {
	$m_source1 = mb_substr($m_source,0,$hr_st[1],'utf-8');
	if ($suu>1) {
		$m_source2 = mb_substr($m_source,$hr_en[1],($hr_st[$suu]-$hr_en[1]),'utf-8');
		$m_source3 = mb_substr($m_source,$hr_en[$suu],(mb_strlen($m_source,'utf-8')-$hr_en[$suu]),'utf-8');
	} else {
		$m_source2 = mb_substr($m_source,$hr_en[$suu],(mb_strlen($m_source,'utf-8')-$hr_en[$suu]),'utf-8');
		$m_source3 = '';
	}
} else {
	$m_source1 = '';
	$m_source2 = $m_source;
	$m_source3 = '';
}
// ##### 一旦ひと固まりにする #####
if ($$buffer2<>'' and $$buffer=='') { $$buffer = $$buffer2; }	// pager用パラメータよりコピー
$m_src  = '<div class="module'.$m_code.'_'.$Cnt.'_1">';	// 一番外側のdiv（margin定義はcssにて）
	// ### module_m2（検索窓）###
if ($m_publish=='1') {
	$m_src .= '<div class="m_inq">'."\n";
	$m_src .= '<form method="POST" action="'.$self2.'">'."\n";
	$m_src .= '<span style="color:'.$m_title_iro.';">'.$m_title.'</span>';
	if ($m_inq_type=='1') { $m_src .= '<br />'; }	//検索窓部タイプ＝縦
	$m_src .= '<input type="text" name="'.$buffer.'" id="'.$buffer.'" value="'.$$buffer.'" class="mode1" style="width: '.$m_inq_width.'px; border-style:solid; border-width:1px; border-color:#000;"/>'."\n";
	if ($m_inq_type=='1') { $m_src .= '<br />'; }	//検索窓部タイプ＝縦
	$m_src .= '<input type="submit" name="btn2" value="検索" border="0" />'."\n";
	if ($p_detail=='1') {
		$m_src .= '<input type="hidden" name="k_code" value="'.$k_code2.'" />'."\n";
	}
	$m_src .= '</form>'."\n";
	$m_src .= '</div>'."\n";
}
$m_src .= $m_source1;									// 最初の<hr />より上のコンテンツ（あれば）
if ($m_pager<>'0') {									// pager（上）
	$m_src .= '[$$$pager]';
}
$m_src .= '<div class="module'.$m_code.'_2">';			// ２番目のdiv（margin以外有効）
$m_src .= $m_source2;									// メインコンテンツ
$m_src .= '</div>';
if ($m_pager<>'0') {									// pager（下）
	$m_src .= '[$$$pager]';
}
$m_src .= $m_source3;									// 最後の<hr />より下のコンテンツ（あれば）
$m_src .= '</div>';
//
// ##### パーツ表示共通部(1) ######
include('parts_disp21.php');
//
//########################
//--  抽出条件組み立て
//########################
$where1 = '';
if ($btn2=='検索') {	// 新たに検索したら、pager用パラメータ初期化
	$$buffer2 = '';
	$page = 1;
}
//### モジュールでの抽出条件 ###
if ($m_where<>'1' or $$buffer=='') {
	// 入力日関連
	if ($it_flg_day==1) {
		$where1 .= ' ent_date >="'.$it_cond_st_day.'" AND ent_date <="'.$it_cond_en_day.'" ';
	}
	// 一般項目
	for ($i = 1; $i <= 25; $i++) {
		if ($it_flg[$i]==1) {
			$st = $it_cond_st[$i];
			$en = $it_cond_en[$i];
			if ($it_type[$i]=='nn' or $it_type[$i]=='nc') {	// 数値データの場合、整数桁、小数桁をスペース詰めして合わせる（大小比較の為）
				$st = str_pad(number_format($st,$it_dec[$i],'.',''), ($it_inte[$i]+($it_dec[$i]>0)*($it_dec[$i]+1)), " ", STR_PAD_LEFT);
				$en = str_pad(number_format($en,$it_dec[$i],'.',''), ($it_inte[$i]+($it_dec[$i]>0)*($it_dec[$i]+1)), " ", STR_PAD_LEFT);
			}
			if ($st>$en) {		// 大小逆の場合、差し替え
				list($st,$en) = array($en,$st);
			}
			if ($where1<>'') { $where1 .= ' AND '; }
			$where1 .= 'k_data'.$i.' >= "'.$st.'" AND k_data'.$i.' <= "'.$en.'" ';
		}
	}
	// 検索キーワード
	if ($m_col<>'') {
		$m_col = str_replace('　',' ',$m_col);		// 全角スペース→半角スペースに置換
		$word = split(' ', $m_col);					// 各項目を配列にセット$word[0]～・・・0からなので注意
		for ($i = 0; $i <= (count($word)-1); $i++) {
			if ($i==0) {
				if ($where1<>'') { $where1 .= ' AND '; }
				$where1 .=' ( ';
			}
			if ($word[$i]<>'') {
				$bbb = '';
				for ($j = 1; $j <= 25; $j++) {
					if ($it_flg2[$j]=='1') {
						if ($bbb<>'') { $bbb .= ' OR '; }
						$bbb .= ' k_data'.$j.' like "%'.$word[$i].'%"';
					}
				}
				if ($m_filler02=='1') { $joint = 'OR'; } else { $joint = 'AND'; }	// 論理結合（旧データを考え、OR先行判断）
				if ($where1<>'' and $i<>0) { $where1 .= ' '.$joint.' '; }
				$where1 .= '('.$bbb.')';
			}
			if ($i==(count($word)-1)) { $where1 .= ' )'; }
		}
	}
}
//### 検索窓から ###
$where2 = '';
$$buffer = trim(str_replace('　',' ',trim($$buffer)));		// 全角スペース→半角スペースに置換
if ($$buffer<>'') {
	$word = split(' ', $$buffer);				// 各項目を配列にセット$word[0]～・・・0からなので注意
	for ($i = 0; $i <= (count($word)-1); $i++) {
		if ($i==0) { $where2 .= '( '; }
		if ($word[$i]<>'') {
			$bbb = '';
			for ($j = 1; $j <= 25; $j++) {
				if ($it_flg2[$j]=='1') {
					if ($bbb<>'') { $bbb .= ' OR '; }
					$bbb .= ' k_data'.$j.' like "%'.$word[$i].'%"';
				}
			}
			if ($m_filler03=='1') { $joint = 'OR'; } else { $joint = 'AND'; }	// 論理結合（旧データを考え、OR先行判断）
			if ($where2<>'' and $i<>0) { $where2 .= ' '.$joint.' '; }
			$where2 .= '('.$bbb.')';
		}
		if ($i==(count($word)-1)) { $where2 .= ' )'; }
	}
}
//### 合成 ###
$where = '';
if ($where1<>'' and $where2<>'') {
	$where2 = 'AND ('.$where2.')';
}
$where = $where1.$where2;
if ($where<>'') { $where = ' AND '.$where; };
if ($$buffer<>'') { $$buffer2 = $$buffer; }		// pager用パラメータ
//
$param = '';
if ($$buffer2<>'') { $param .= '&'.$buffer2.'='.$$buffer2; }
for ($i = 1; $i <= 10; $i++) {	// それ以外のパラメータ（$v1～$v10）
	$pp = 'v'.$i;
	if ($$pp<>'') {
		$param .= '&v'.$i.'='.$$pp;
	}
}
//########################
//--  表示順序組み立て
//########################
$order = '';
// 入力日関連
if ($it_seq_day>=1 and $it_seq_day<=($gyo+2)) {
	if ($by[$it_seq_day]<>'') { $by[$it_seq_day] .= ', '; }
	$by[$it_seq_day] .= 'ent_date ';
	if ($it_asc_day==1) { $by[$it_seq_day] .= 'desc '; }
}
// 一般項目
for ($i = 1; $i <= 25; $i++) {
	if ($it_seq[$i]>=1 and $it_seq[$i]<=($gyo+2)) {
		if ($by[$it_seq[$i]]<>'') { $by[$it_seq[$i]] .= ', '; }
		$by[$it_seq[$i]] .= 'k_data'.$i.' ';
		if ($it_asc[$i]==1) { $by[$it_seq[$i]] .= 'desc '; }
	}
}
// 組み立て
for ($i = 1; $i <= ($gyo+2); $i++) {
	if ($by[$i]<>'') {
		if ($order<>'') { $order .= ', '; }
		$order .= $by[$i];
	}
}
if ($order<>'') { $order = ' ORDER BY '.$order; }
// 全件のcount取得
$sql = 'SELECT count(k_code) k_count FROM kiji_t where p_code = ? '.$where;
$stt=$db->prepare($sql);
$stt->bindParam(1, $p_code);
try {
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$k_count = $cols['k_count'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
//### parts 入力データSQL ###
$sql = 'SELECT k_code,';
for ($i = 1; $i <= 25; $i++) {
	$sql .= 'k_data'.$i.',';
	$sql .= 'kiji_http'.$i.',';
	$sql .= 'kiji_url'.$i.',';
}
$sql .= 'ent_date FROM kiji_t where p_code = ? '.$where.$order;
if ($page_gyo>0) {
	$sql .= ' LIMIT '.$page_gyo;
	if ($page>1) {
		$sql .= ' OFFSET '.($page_gyo*($page-1));
	}
}
//### ページインデックス組み立て ###
$pager = '';
if ($m_pager<>'0') {
	if (strpos(' '.$self2,'module_def2.php')>0 or strpos(' '.$self2,'site_def2.php')>0) {
		$tunagi = '&';	// パラメータが２個目以降
	} else {
		$tunagi = '?';	// パラメータが１個目
	}
	if ($k_code2<>'') { $tunagi .= 'k_code='.$k_code2.'&'; }	// 記事明細頁の場合のパラメータを引き継ぐ
	$self3 = $self2.$tunagi.'page_m'.$m_code.'_'.$Cnt.'=';
	if ($k_count>$page_gyo) {			// pager必要
		if ($page<1 or $page=='') { $page = 1; }
		if ($page_gyo<=0) { $page_gyo = 20; }
		// 頁数
		$max_page = ceil($k_count/$page_gyo);
		// 表示頁の開始と終了を割り出す
		if ($max_page<=5) {	// インデックスの幅=10 例：[3 4 5 6 7]
			$disp_min = 1;
			$disp_max = $max_page;
		} else {
			if ($page<3) {
				$disp_min = 1;
				$disp_max = 5;
			} else{
				if ($page>$max_page-3) {
					$disp_max = $max_page;
					$disp_min = $max_page - 4;
				} else{
					$disp_min = $page - 2;
					$disp_max = $page + 2;
				}
			}
		}
		//--- 表示部 ---
		if ($m_pager>1) {
			$link_pre = '<li>';$current = 'class="current"';$link_aft = '</li>';
			$pager .= '<ul class="pager0'.($m_pager-1).'">'."\n";
		} else {
			$link_pre = '';$current = '';$link_aft = '';
			$pager .= '<div class="pager"><span class="span_pager">'."\n";
		}
		// 前の10頁
		if ($m_pager>1 and $page>10) {
			$pager .= $link_pre.'<a href="'.$self3.($page-10).$param.'">前の10頁</a>'.$link_aft."\n";
		}
		// 前へ
		if ($page>1) {
			$pager .= $link_pre.'<a href="'.$self3.($page-1).$param.'">前へ</a>'.$link_aft."\n";
		}
		if ($m_pager==1) {$pager .= '['."\n";}
		// 先頭ページ
		if ($disp_min>1) {
			$pager .= $link_pre.'<a href="'.$self3.'1'.$param.'">1</a>'.$link_aft."\n";
			if ($m_pager==1) {
				if ($disp_min>2) { $pager .= '・・'; } else { $pager .= ' '; }
			}
		}
		// 数字部
		for ($i = $disp_min; $i <= $disp_max; $i++) {
			if ($m_pager<>1 or $i<>$page) {
				$pager .= $link_pre.'<a href="'.$self3.$i.$param.'" ';
			}
			if ($i==$page) {$pager .= $current;}
			if ($m_pager<>1 or $i<>$page) {
				$pager .= '>'.$i.'</a>'.$link_aft."\n";
			} else {
				$pager .= $i."\n";
			}
			if ($m_pager==1) {
				if ($i<$disp_max) { $pager .= ' '; }
			}
		}
		// 最終ページ
		if ($max_page>$disp_max) {
			if ($m_pager==1) {
				if ($disp_max<$max_page-1) {$pager .= '・・';} else {$pager .= ' ';}
			}
			$pager .= $link_pre.'<a href="'.$self3.$max_page.$param.'">'.$max_page.'</a>'.$link_aft."\n";
		}	
		// 次へ
		if ($m_pager==1) {
			$pager .= ']';
		}
		if ($page<$max_page) {
			$pager .= $link_pre.'<a href="'.$self3.($page+1).$param.'">次へ</a>'.$link_aft."\n";
		}
		// 次の10頁
		if ($m_pager>1 and $page<$max_page-10) {
			$pager .= $link_pre.'<a href="'.$self3.($page+10).$param.'">次の10頁</a>'.$link_aft."\n";
		}
		if ($m_pager==1) {
			$pager .= '</span></div>'."\n";
		} else {
			$pager .= '</ul>'."\n";
		}
	}
}
//#########################
//--     表示
//#########################
$m_src = str_replace('[$$$dti_path]',$dti_path,$m_src);	// ハメ込み合成（DTIイメージパス）■■■『妖艶Pro』専用■■■
$m_src = str_replace('[$$$shopid]',$shop_id,$m_src);	// ハメ込み合成（ショップＩＤ）
$m_src = str_replace('[$$$domain]',$domain,$m_src);		// ハメ込み合成（ドメイン）
$m_src = str_replace('[$$$pager]',$pager,$m_src);		// ハメ込み合成（ページャ）
$m_src = str_replace('[$$$number]',number_format($k_count),$m_src);		// ハメ込み合成（件数）
// ##### module source 2分割 ([$$$module] という文字の前後に) #####
$m_src1 = mb_substr($m_src,0,mb_strpos($m_src,'[$$$module]',0,'utf-8'),'utf-8');
$m_src2 = mb_substr($m_src,(mb_strpos($m_src,'[$$$module]',0,'utf-8')+11),(mb_strlen($m_src,'utf-8')-mb_strpos($m_src,'[$$$module]',0,'utf-8')-11),'utf-8');
//##################
//##### 前半部 #####
//##################
//--- php記述ありバージョン以降 ---
if (file_exists($sys_path.'/module_'.$m_code.'_1.txt')) {
	//--- php部と通常記述を分割 ---
	$e_flg = 0; $s_cnt = 0;
	if ($m_src1<>'') {
		$src2 = ' '.$m_src1;	// 外側の<div>に相当する分をダミーで付加しておく
		while ($e_flg==0) {
			$e_flg = -999;						// デフォルト=終了
			$p02 = mb_strpos($src2,'[$$$php',0,'utf-8');
			if ($p02!==false) {
				$p03 = mb_strpos($src2,'$$$]',$p02,'utf-8');
				if ($p03!==false) {
					if ($p02>0) {
						++$s_cnt;
						$s_data[$s_cnt] = mb_substr($src2,0,$p02,'utf-8');
						$s_flg[$s_cnt] = 0;	// 通常記述
					}
					++$s_cnt;
					$s_data[$s_cnt] = mb_substr($src2,$p02+7,$p03-$p02-7,'utf-8');
					$s_flg[$s_cnt] = 1;		// php記述
					if (($p03+4)<mb_strlen($src2,'utf-8')) {
						$src2 = mb_substr($src2,$p03+4,mb_strlen($src2,'utf-8')-$p03-4,'utf-8');
						$e_flg = 0;				// （まだある、続行）
					}
				} else {
					++$s_cnt;
					$s_data[$s_cnt] = $src2;
					$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
				}
			} else {
				++$s_cnt;
				$s_data[$s_cnt] = $src2;
				$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
			}
		}
	}
	//--- 通常記述とphp記述を分離表示 ---
	include('module_'.$m_code.'_1.txt');
} else {
	//--- php記述ありバージョン前の表示 ---
	echo htmlspecialchars_decode($m_src1);
}
//################
//##### 中身 #####
//################
if ($page<1) { $page = 1; }
if ($page_gyo<=0) { $page_gyo = 20; }
//
//--- 表示データ取得 ---
$stt=$db->prepare($sql);
$stt->bindParam(1, $p_code);
try {
	$dCnt = 0;
	$stt->execute();
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		// ##### パーツ表示共通部(2) ######
		include('parts_disp22.php');
		//--- php記述ありバージョン以降 ---
		if (file_exists($sys_path.'/parts_design_'.$p_code.'_'.$d_seq.'.txt')) {
			//--- php部と通常記述を分割 ---
			if ($src2<>'') {
				$src2 = ' '.$src2;
				$e_flg = 0; $s_cnt = 0;
				while ($e_flg==0) {
					$e_flg = -999;					// デフォルト=終了
					$p02 = mb_strpos($src2,'[$$$php',0,'utf-8');
					if ($p02!==false) {
						$p03 = mb_strpos($src2,'$$$]',$p02,'utf-8');
						if ($p03!==false) {
							if ($p02>0) {
								++$s_cnt;
								$s_data[$s_cnt] = mb_substr($src2,0,$p02,'utf-8');
								$s_flg[$s_cnt] = 0;	// 通常記述
							}
							++$s_cnt;
							$s_data[$s_cnt] = mb_substr($src2,$p02+7,$p03-$p02-7,'utf-8');
							$s_flg[$s_cnt] = 1;		// php記述
							if (($p03+4)<mb_strlen($src2,'utf-8')) {
								$src2 = mb_substr($src2,$p03+4,mb_strlen($src2,'utf-8')-$p03-4,'utf-8');
								$e_flg = 0;			// （まだある、続行）
							}
						} else {
							++$s_cnt;
							$s_data[$s_cnt] = $src2;
							$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
						}
					} else {
						++$s_cnt;
						$s_data[$s_cnt] = $src2;
						$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
					}
				}
			}
			//--- 通常記述とphp記述を分離表示 ---
			include('parts_design_'.$p_code.'_'.$d_seq.'.txt');
		} else {
			//--- php記述ありバージョン前の表示 ---
			echo htmlspecialchars_decode($src2);
		}
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
//##################
//##### 後半部 #####
//##################
//--- php記述ありバージョン以降 ---
if (file_exists($sys_path.'/module_'.$m_code.'_2.txt')) {
	//--- php部と通常記述を分割 ---
	$e_flg = 0; $s_cnt = 0;
	if ($m_src2<>'') {
		$src2 = ' '.$m_src2;	// 外側の<div>に相当する分をダミーで付加しておく
		while ($e_flg==0) {
			$e_flg = -999;						// デフォルト=終了
			$p02 = mb_strpos($src2,'[$$$php',0,'utf-8');
			if ($p02!==false) {
				$p03 = mb_strpos($src2,'$$$]',$p02,'utf-8');
				if ($p03!==false) {
					if ($p02>0) {
						++$s_cnt;
						$s_data[$s_cnt] = mb_substr($src2,0,$p02,'utf-8');
						$s_flg[$s_cnt] = 0;	// 通常記述
					}
					++$s_cnt;
					$s_data[$s_cnt] = mb_substr($src2,$p02+7,$p03-$p02-7,'utf-8');
					$s_flg[$s_cnt] = 1;		// php記述
					if (($p03+4)<mb_strlen($src2,'utf-8')) {
						$src2 = mb_substr($src2,$p03+4,mb_strlen($src2,'utf-8')-$p03-4,'utf-8');
						$e_flg = 0;				// （まだある、続行）
					}
				} else {
					++$s_cnt;
					$s_data[$s_cnt] = $src2;
					$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
				}
			} else {
				++$s_cnt;
				$s_data[$s_cnt] = $src2;
				$s_flg[$s_cnt] = 0;	// 通常記述（ここで終了）
			}
		}
	}
	//--- 通常記述とphp記述を分離表示 ---
	include('module_'.$m_code.'_2.txt');
} else {
	//--- php記述ありバージョン前の表示 ---
	echo htmlspecialchars_decode($m_src2);
}
?>