<?php
// ######################################################################
// --					　記事クリエイター
$title=				'記事メニュー設定・プレビュー';
// --		Copyright (C) 2009 Ompookan Inc. All rights reserved 
// ######################################################################
$self = 'kijimenu_def2.php';							// このプログラム
$menu_num = 3;
$sessin_off = 1; include('kiji_common.php');
// ----------------------------------------------------------------------
?>
<script type="text/javascript">
//<![CDATA[
window.name="kijimenu_def2";
//]]>
</script>
<?php
// 定数定義

// ######################################################################
// --  読込と加工処理
// ######################################################################
$stt=$db->prepare('SELECT km_style1, km_style2 from kijimenu_m WHERE km_code = ?');
$stt->bindParam(1, $km_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
		$km_style1 = $cols['km_style1'];
		$km_style2 = $cols['km_style2'];
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
$km_style1 = str_replace('/*(1)',' ',$km_style1);	// プレビューは左寄せで表示（注釈除去）
$km_style1 = str_replace('(1)*/',' ',$km_style1); 	// 実際には、サイト設定時のブロック設定内で指定される
$km_style1 = str_replace('[$$$counter]','1',$km_style1);
$km_style2 = str_replace('[$$$images]',$images,$km_style2);
echo '<style type="text/css">'."\n";
echo '<!--'."\n";
echo htmlspecialchars_decode($km_style1);	// 外枠の定義
echo htmlspecialchars_decode($km_style2);	// 内枠の定義
echo '-->'."\n";
echo '</style>'."\n";
?>

</head>
<body>
<form method="post" action="" target="" onSubmit="window.close()" >
<span class="btnleft">
<input type="submit" name="btn" value="閉じる" border="0" />
</span>
</form>
<hr />
<?php
// ######################################################################
// --  本体表示
// ######################################################################
$Cnt = 1;
$work = 'page_km'.$km_code.'_1';	// $page_km1_1 など
$page = $$work;
if ($page<1) { $page = 1; }
$self2 = $self.'?km_code='.$km_code;
include('./kijimenu_disp.php');
?>
</body>
</html>