<?php
// ########################
// -- 抽出と表示 (menu_m2)
// ########################
// --- 外枠（共通）---
echo '<div class="menu'.$mn_code.'_'.$Cnt.'_1">'."\n";
// --- 内枠 ---
switch ($mn_type) {
	case 'sm':									// 固定シンプルメニュー（縦型）
		echo '<div class="simple'.$mn_code.'_2">'."\n";
		break;
	case 'hr':									// 階層オープンメニュー（縦型）
		echo '<ul id="hier'.$mn_code.'_2">'."\n";
		break;
	case 'tr':									// ツリーメニュー（縦型）
		echo '<div id="treemenu'.$mn_code.'_2">'."\n";
		echo '<div id="sidetreecontrol">'."\n";
		echo '<a href=""><span class="open_close">すべて閉じる</span></a> | <a href=""><span class="open_close">すべて開く</span></a>'."\n";
		echo '</div>'."\n";
		echo '<ul id="tree">'."\n";
		break;
	case 'tb':									// タブメニュー（横型）
		echo '<div class="tabmenu'.$mn_code.'_1">'."\n";
		echo '<div class="tabmenu'.$mn_code.'_2">'."\n";
		echo '<ul>'."\n";
		break;
	case 'ft':									// テキストメニュー（横型）
		echo '<div class="ftmenu'.$mn_code.'_2">'."\n";
		break;
}
// --- 中身 ---
$sql = 'SELECT mn_char, mn_hier, mn_link_http, mn_link_url, mn_flg1 from menu_m2 WHERE mn_code = ? ORDER BY mn_seq';
$stt=$db->prepare($sql);
$stt->bindParam(1, $mn_code);
try {
	$stt->execute();
	$suu = 0;
	while ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		++$suu;
		$mn_char = mb_convert_encoding($cols['mn_char'],"SJIS","UTF-8");
		$mn_hier = $cols['mn_hier'];
		$mn_link_http = $cols['mn_link_http'];
		$mn_link_url = mb_convert_encoding($cols['mn_link_url'],"SJIS","UTF-8");
		$mn_flg1 = $cols['mn_flg1'];
		//--- menu_mから ---	
		$pg_url1 = htmlspecialchars_decode($mn_link_url);
		if (mb_strpos($pg_url1,'.htm')==0 and mb_strpos($pg_url,'.php')==0) {		// htmlも含んでサーチ
			if (substr($pg_url1,strlen($pg_url1)-1,1)<>'/') { $pg_url1 .= '/'; }
			$pg_url1 .= 'index.html';
		}
		//--- urlから ---
		$pg_url2 = htmlspecialchars_decode($pg_url);
		$pg_url2 = $domain.ltrim(htmlspecialchars_decode($pg_url2),'/');
		$pg_url2 = str_replace('http://','',$pg_url2);	
		$pg_url2 = str_replace('https://','',$pg_url2);	
		//
		if ($mn_hier<=$mn_hier_max) {
			switch ($mn_type) {
				case 'sm':						// 固定シンプルメニュー（縦型）
					echo '<p class="waku'.$mn_code.'_'.$mn_hier;
					if ($suu==$mn_gyo) { echo '_last'; }
					echo '">';
					if ($pg_url1==$pg_url2) { echo '<span class="selected">'; }
					echo '<a href="'.$mn_link_http.$mn_link_url.'">'.$mn_char.'</a>';
					if ($pg_url1==$pg_url2) { echo '</span>'; }
					if ($suu==$mn_gyo) { echo '</span>'; }
					echo '</p>'."\n";
					break;
				case 'hr':						// 階層オープンメニュー（縦型）
					if ($suu>1) {
						if ($mn_hier == $mn_hier_0) {
							echo '<li';
							if ($mn_flg1_0=='1') { echo ' class="last"'; }
							echo '>'.$mn_current1.'<a href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'</a>'.$mn_current2.'</li>'."\n";
						} else {
							if ($mn_hier > $mn_hier_0) {
								echo '<li';
								if ($mn_flg1_0=='1') { echo ' class="last"'; }
								echo '>'.$mn_current1.'<a class="fly" href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'<!--[if gte IE 7]><!--></a>'.$mn_current2.'<!--<![endif]-->'."\n";
								echo '<!--[if lte IE 6]><table><tr><td><![endif]-->'."\n";
								echo '<ul>'."\n";
							} else {
								echo '<li class="last">'.$mn_current1.'<a href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'</a>'.$mn_current2.'</li>'."\n";
								for ($i = 1; $i <=($mn_hier_0 - $mn_hier); $i++) {
									echo '</ul>'."\n";
									echo '<!--[if lte IE 6]></td></tr></table></a><![endif]-->'."\n";
									echo '</li>'."\n";
								}
							}
						}
					}
					$mn_char_0 = $mn_char;
					$mn_hier_0 = $mn_hier;
					$mn_link_http_0 = $mn_link_http;
					$mn_link_url_0 = $mn_link_url;
					$mn_flg1_0 = $mn_flg1;
					if ($pg_url1==$pg_url2) {
						$mn_current1 = '<span class="selected">';
						$mn_current2 = '</span>';
					} else {
						$mn_current1 = '';
						$mn_current2 = '';
					}					
					break;
				case 'tr':						// ツリーメニュー（縦型）
					if ($suu>1) {
						// 共通
						echo '<li>';
						if ($mn_hier_0=='1') { echo '<span class="root">'; }
						echo '<a href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'</a>';
						if ($mn_hier_0=='1') { echo '</span>'; }
						// 分岐
						if ($mn_hier == $mn_hier_0) {
							echo '</li>'."\n";
						} else {
							if ($mn_hier > $mn_hier_0) {
								echo "\n";
								echo '<ul>'."\n";
							} else {
								for ($i = 1; $i <=($mn_hier_0 - $mn_hier); $i++) {
									echo '</li>'."\n";
									echo '</ul>'."\n";
									echo '</li>'."\n";
								}
							}
						}
					}
					$mn_char_0 = $mn_char;
					$mn_hier_0 = $mn_hier;
					$mn_link_http_0 = $mn_link_http;
					$mn_link_url_0 = $mn_link_url;
					break;
				case 'tb':						// タブメニュー（横型）
					echo '<li';if ($mn_flg1=='1') { echo ' class="last"'; } echo '>';
					if ($pg_url1==$pg_url2) { echo '<span class="selected">'; }
					echo '<a href="'.$mn_link_http.$mn_link_url.'">'.$mn_char.'</a></li>'."\n";
					if ($pg_url1==$pg_url2) { echo '</span>'; }
					break;
				case 'ft':						// テキストメニュー（横型）
					echo '<li';
					if ($suu==1) { echo ' class="first"'; }
					echo '><a href="'.$mn_link_http.$mn_link_url.'">'.$mn_char.'</a></li>'."\n";
					break;
			}
		}
	}
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
// --- 最後の表示と内枠・外枠とじ ---
switch ($mn_type) {
	case 'sm':									// 固定シンプルメニュー（縦型）
		echo '</div>'."\n";
		break;
	case 'hr':									// 階層オープンメニュー（縦型）
		if ($suu>0) {
			if ($mn_hier_0<=$mn_hier_max) {
				echo '<li class="last">'.$mn_current1.'<a href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'</a>'.$mn_current2.'</li>'."\n";
				if ($mn_hier_0>'1') {
					if ($mn_hier_0=='3') {
						echo '</ul>'."\n";
						echo '<!--[if lte IE 6]></td></tr></table></a><![endif]-->'."\n";
						echo '</li>'."\n";
					}
					echo '</ul>'."\n";
					echo '<!--[if lte IE 6]></td></tr></table></a><![endif]-->'."\n";
					echo '</li>'."\n";
				}
			}
		}
		echo '</ul>'."\n";
		break;
	case 'tr':									// ツリーメニュー（縦型）
		if ($suu>0) {
			if ($mn_hier_0<=$mn_hier_max) {
				echo '<li>';
				if ($mn_hier_0=='1') { echo '<span class="root">'; }
				echo '<a href="'.$mn_link_http_0.$mn_link_url_0.'">'.$mn_char_0.'</a>';
				if ($mn_hier_0=='1') { echo '</span>'; }
				echo '</li>'."\n";
				if ($mn_hier_0>'2') {
					if ($mn_hier_0=='3') {
						echo '</ul>'."\n";
						echo '</li>'."\n";
					}
					echo '</ul>'."\n";
					echo '</li>'."\n";
				}
			}
		}
		echo '</ul>'."\n";
		echo '</div>'."\n";
		break;
	case 'tb':									// タブメニュー（横型）
		echo '</ul>'."\n";
		echo '<div class="tabbar'.$mn_code.'"></div>'."\n";
		echo '</div>'."\n";
		echo '</div>'."\n";
		break;
	case 'ft':									// テキストメニュー（横型）
		echo '</ul>'."\n";
		echo '</div>'."\n";
		break;
}
echo '</div>'."\n";
?>