<?php
// ###############
// ### parts_m ###
// ###############
$stt=$db->prepare('SELECT item, gyo FROM parts_m WHERE p_code = ?');
$stt->bindParam(1, $p_code);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$item = $cols['item'];
		$gyo = $cols['gyo'];
	} 
} catch (PDOException $e) {
  echo $e->getMessage();
  exit();
}
// ######################
// ### parts_design_m ###
// ######################
$stt=$db->prepare('SELECT source FROM parts_design_m WHERE p_code = ? and d_seq = ?');
$stt->bindParam(1, $p_code);
$stt->bindParam(2, $d_seq);
try {
	$stt->execute();
	if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
		$source = mb_convert_encoding($cols['source'],"SJIS","UTF-8");
	} 
} catch (PDOException $e) {
	echo $e->getMessage();
	exit();
}
// ##### <hr />ꍇAŏƍŌ<hr />؂ڂɁiőjOɕ #####
if ($source<>'') {
	$source = ' '.htmlspecialchars_decode($source);	// T[`^UfՂׂɁA`ɃXy[X}iT[`ʒu=0̏ꍇlj
	$p01 = 0; $suu = 0;
	while ($p01>=0) {
		$p02 = mb_strpos($source,'<hr',$p01);
		if ($p02>0) {
			$p03 = mb_strpos($source,'/>',$p02);
			if ($p03!==false) {
				++$suu;
				$hr_st[$suu] = $p02;
				$hr_en[$suu] = $p03+2;
				if (($p03+2)<mb_strlen($source)) {
					$p01 = $p03+2;
				} else {
					$p01 = -999;
				}
			}
		} else {
			$p01 = -999;
		}
	}
}
if ($suu>0) {
	$source1 = mb_substr($source,0,$hr_st[1]);
	if ($suu>1) {
		$source2 = mb_substr($source,$hr_en[1],($hr_st[$suu]-$hr_en[1]));
		$source3 = mb_substr($source,$hr_en[$suu],(mb_strlen($source)-$hr_en[$suu]));
	} else {
		$source2 = mb_substr($source,$hr_en[$suu],(mb_strlen($source)-$hr_en[$suu]));
		$source3 = '';
	}
} else {
	$source1 = '';
	$source2 = $source;
	$source3 = '';
}
// ##### UЂƌł܂ɂ #####
$src  = '<div class="parts'.$p_code.'_'.$d_seq.'_'.$Cnt2.'_1">';// ԊOdiv
$src .= $source1;												// ŏ<hr />̃Reci΁j
$src .= '<div class="parts'.$p_code.'_'.$d_seq.'_'.$Cnt2.'_2">';// QԖڂdivimarginȊOLj
$src .= $source2;												// CRec
$src .= '</div>';
$src .= $source3;												// Ō<hr />艺̃Reci΁j
$src .= '</div>';
// ######################################
// --  parts_item_c_m, parts_item_i_m
// ######################################
if ($gyo>0) {
	$item = mb_substr(($item.'nnnnnnnnnnnnnnnnnnnnnnnnn'),0,25); // 25byte₤
	for ($i = 1; $i <= $gyo; $i++) {
		$it_kind[$i] = mb_substr($item,$i-1,1);				// ʁic=.i=C[Wj
		if ($it_kind[$i]=='c') {
			$stt=$db->prepare('SELECT item_type, item_unit, item_unit_pre, item_inte, item_dec, item_link, item_clear FROM parts_item_c_m WHERE p_code = ? and p_seq = ?');
			$stt->bindParam(1, $p_code);
			$stt->bindParam(2, $i);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) {
					$it_type[$i] = $cols['item_type'];
					$it_unit[$i] = mb_convert_encoding($cols['item_unit'],"SJIS","UTF-8");
					$it_unit_pre[$i] = $cols['item_unit_pre'];
					$it_inte[$i] = $cols['item_inte'];
					$it_dec[$i] = $cols['item_dec'];
					$it_link[$i] = $cols['item_link'];
				}
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		} else {
			$stt=$db->prepare('SELECT item_line_w, item_line_c, item_box_w, item_len_unit, item_box_h, item_margin_top, item_margin_right, item_margin_bottom , item_margin_left, item_link, item_float FROM parts_item_i_m WHERE p_code = ? and p_seq = ?');
			$stt->bindParam(1, $p_code);
			$stt->bindParam(2, $i);
			try {
				$stt->execute();
				if ($cols = $stt->fetch(PDO::FETCH_ASSOC)) { 
					$it_line_w[$i] = $cols['item_line_w'];
					$it_line_c[$i] = $cols['item_line_c'];
					$it_box_w[$i] = $cols['item_box_w'];
					$it_len_unit[$i] = $cols['item_len_unit'];
					$it_box_h[$i] = $cols['item_box_h'];
					$it_margin_top[$i] = $cols['item_margin_top'];
					$it_margin_right[$i] = $cols['item_margin_right'];
					$it_margin_bottom[$i] = $cols['item_margin_bottom'];
					$it_margin_left[$i] = $cols['item_margin_left'];
					$it_link[$i] = $cols['item_link'];
					$it_float[$i] = $cols['item_float'];
				}
			} catch (PDOException $e) {
				echo $e->getMessage();
				exit();
			}
		}
	}
}
// ### $sourcẽC[WACewidth="...",height="..."̊eUʂ̕ɒuĂ                    ###
// ### C[Wn݂̍ۂɁAwidth,heightǂ炩Xy[Xɒu邱ƂɂA\摜̏c䗦mۂ ###
if ($src<>'' and strpos(' '.$item,'i')>0) {
	$src = ' '.$src;	// T[`^UfՂׂɁA`ɃXy[X}iT[`ʒu=0̏ꍇlj
	$p01 = 0;
	while ($p01>=0) {
		$p02 = mb_strpos($src,'<img',$p01);
		if ($p02>0) {
			$p03 = mb_strpos($src,'/>',$p02);
			if ($p03!==false) {
				$p041 = mb_strpos($src,'[$$$',$p02);
				if ($p041!==false and $p041<$p03) {
					$p042 = mb_strpos($src,']',$p041);
					if ($p042!==false and $p042<$p03) {
						$num = mb_substr($src,($p041+4),($p042-$p041-4));
						if ($num>=1 and $num<=25) {
							$p05 = mb_strpos($src,('width'),$p02);
							if ($p05!==false) {
								$p06 = mb_strpos($src,('"'),$p05);
								if ($p06!==false) {
									$p07 = mb_strpos($src,('"'),($p06+1));
									if ($p07!==false) {
										$len = $p07 - $p05 + 1;
										$pre = mb_substr($src,0,$p05);
										$aft = mb_substr($src,($p07+1));
										$img_width_size[$num] = mb_substr($src,($p06+1),($p07-$p06-1));
										if ($num>=10) { $add = 1; } else { $add = 0; }
										// [###1w###]...[###25w##] #̐́A̒ɂ蒲
										$img_width[$num] = '[###'.$num.'w'.str_repeat('#',($len-7-$add)).']';
										$img_width_bk[$num] = mb_substr($src,$p05,$len);
										$src = $pre.$img_width[$num].$aft;
									}
								}
							}
							$p05 = mb_strpos($src,('height'),$p02);
							if ($p05!==false) {
								$p06 = mb_strpos($src,('"'),$p05);
								if ($p06!==false) {
									$p07 = mb_strpos($src,('"'),($p06+1));
									if ($p07!==false) {
										$len = $p07 - $p05 + 1;
										$pre = mb_substr($src,0,$p05);
										$aft = mb_substr($src,($p07+1));
										$img_height_size[$num] = mb_substr($src,($p06+1),($p07-$p06-1));
										if ($num>=10) { $add = 1; } else { $add = 0; }
										// [###1w###]...[###25w##] #̐́A̒ɂ蒲
										$img_height[$num] = '[###'.$num.'h'.str_repeat('#',($len-7-$add)).']';
										$img_height_bk[$num] = mb_substr($src,$p05,$len);
										$src = $pre.$img_height[$num].$aft;
									}
								}
							}
							$len = $p03 - $p02 + 2;								// img^O̒<img`/>
							$pre = mb_substr($src,0,$p02);
							$aft = mb_substr($src,($p03+2));
							if ($num>=10) { $add = 1; } else { $add = 0; }
							// [###1###]...[###25##] #̐́A̒ɂ蒲
							$img_tag[$num] = '[###'.$num.str_repeat('#',($len-6-$add)).']';
							$img_tag_bk[$num] = mb_substr($src,$p02,$len);
							$src = $pre.$img_tag[$num].$aft;
						} else {
							if (($p03+2)<mb_strlen($src)) {
								$p01 = $p03 + 2;
							} else {
								$p01 = -999;
							}			
						}
					} else {
						if (($p03+2)<mb_strlen($src)) {
							$p01 = $p03 + 2;
						} else {
							$p01 = -999;
						}			
					}
				} else {
					if (($p03+2)<mb_strlen($src)) {
						$p01 = $p03 + 2;
					} else {
						$p01 = -999;
					}			
				}
			} else {
				$p01 = -999;
			}
		} else {
			$p01 = -999;
		}
	}
}
?>